<?php if (!defined('PARENT')) { die('403'); } ?>  
<main>
  <form method="post" action="?p=add" onsubmit="return checkformAdd(this)" enctype="multipart/form-data">
  <div class="container-fluid">
      <?php
      if (isset($OK)) {
        echo actionCompleted($add14);
      }
      ?>
      <h1 class="mt-4"><?php echo $header2; ?></h1>
      <div class="card mb-4">
          <div class="card-body">
              <div class="form-group">
                <label <?php echo _mmTip($jsvars46); ?>><?php echo $add; ?>:</label>
                <input class="form-control" type="text" name="name" value="<?php echo (isset($_POST['name']) ? _mmHTML($_POST['name']) : ''); ?>">
              </div>

              <div class="form-group">
                <label <?php echo _mmTip($jsvars47); ?>><?php echo $add2; ?>:</label>
                <select name="cat[]" multiple="multiple" class="form-control" style="height:400px">
                <?php
                $q_cats = mysqli_query($GLOBALS["___mysqli_ston"], "SELECT * FROM `" . DB_PREFIX . "categories`
                          WHERE `isParent` = 'yes'
                          AND `childOf`    = '0'
                          ORDER BY `catname`") or die(mysqli_error($GLOBALS["___mysqli_ston"]));
                while ($CATS = mysqli_fetch_object($q_cats)) {
                ?>
                <option value="<?php echo $CATS->id; ?>"><?php echo _mmClean($CATS->catname); ?></option>
                <?php
                $q_children = mysqli_query($GLOBALS["___mysqli_ston"], "SELECT * FROM `" . DB_PREFIX . "categories`
                              WHERE `isParent` = 'no'
                              AND `childOf`    = '".$CATS->id."'
                              ORDER BY `catname`") or die(mysqli_error($GLOBALS["___mysqli_ston"]));
                while ($CHILDREN = mysqli_fetch_object($q_children)) {
                ?>
                <option value="<?php echo $CHILDREN->id; ?>">- <?php echo _mmClean($CHILDREN->catname); ?></option>
                <?php
                }
                }
                ?>
                </select>
              </div>


          </div>
      </div>

      <div class="card mb-4">
          <div class="card-body">
            <div class="form-group">
              <label <?php echo _mmTip($jsvars52); ?>><?php echo $add3; ?>:</label>
              <textarea cols="40" rows="8" name="ingredients" class="form-control"><?php echo (isset($_POST['ingredients']) ? _mmHTML($_POST['ingredients']) : ''); ?></textarea>
            </div>

            <div class="form-group">
              <label <?php echo _mmTip($jsvars53); ?>><?php echo $add4; ?>:</label>
              <textarea cols="40" rows="8" name="instructions" class="form-control"><?php echo (isset($_POST['instructions']) ? _mmHTML($_POST['instructions']) : ''); ?></textarea>
            </div>

            <div class="form-group">
              <label <?php echo _mmTip($jsvars48); ?>><?php echo $add13; ?>: <span style="font-weight:normal">(<?php echo $script12; ?>)</span></label>
              <input class="form-control" type="text" name="submitted_by" value="<?php echo (isset($_POST['submitted_by']) ? _mmHTML($_POST['submitted_by']) : ''); ?>">
            </div>
          </div>
      </div>

      <div class="card mb-4">
          <div class="card-body">
            <div class="form-group">
              <label <?php echo _mmTip($jsvars55); ?>><?php echo $add7; ?>:</label>
              <input class="form-control" type="text" name="metaDesc" value="<?php echo (isset($_POST['metaDesc']) ? _mmHTML($_POST['metaDesc']) : ''); ?>">
            </div>

            <div class="form-group">
              <label <?php echo _mmTip($jsvars56); ?>><?php echo $add8; ?>:</label>
              <input class="form-control" type="text" name="metaKeys" value="<?php echo (isset($_POST['metaKeys']) ? _mmHTML($_POST['metaKeys']) : ''); ?>">
            </div>

            <div class="form-group">
              <label <?php echo _mmTip($jsvars49); ?>><?php echo $add10; ?>:</label><br>
              <input type="radio" name="enComments" value="yes"<?php echo (isset($_POST['enComments']) && $_POST['enComments']=='yes' ? ' checked="checked""' : (!isset($_POST['enComments']) ? ' checked="checked"' : '')); ?>> <?php echo $settings6; ?> <input type="radio" name="enComments" value="no"<?php echo (isset($_POST['enComments']) && $_POST['enComments']=='no' ? ' checked="checked""' : ''); ?>> <?php echo $settings7; ?>
            </div>

            <div class="form-group">
              <label <?php echo _mmTip($jsvars51); ?>><?php echo $add12; ?>:</label><br>
              <input type="radio" name="enRecipe" value="yes"<?php echo (isset($_POST['enRecipe']) && $_POST['enRecipe']=='yes' ? ' checked="checked""' : (!isset($_POST['enRecipe']) ? ' checked="checked"' : '')); ?>> <?php echo $settings6; ?> <input type="radio" name="enRecipe" value="no"<?php echo (isset($_POST['enRecipe']) && $_POST['enRecipe']=='no' ? ' checked="checked""' : ''); ?>> <?php echo $settings7; ?>
            </div>
          </div>
      </div>

      <div class="card mb-4">
          <div class="card-body">
             <label <?php echo _mmTip($jsvars54); ?>><?php echo $add6; ?>:</label>
             <div class="custom-file">
               <input type="file" class="custom-file-input" id="customFile" name="image[]" multiple="multiple">
               <label class="custom-file-label" for="customFile"><?php echo $add11; ?></label>
             </div>
          </div>
      </div>

      <div class="text-center">
        <input type="hidden" name="process" value="1">
        <input type="hidden" name="csrf" value="<?php echo (isset($_SESSION['atoken_' . sha1($SETTINGS->email . SECRET_KEY)]) ? $_SESSION['atoken_' . sha1($SETTINGS->email . SECRET_KEY)] : ''); ?>">
        <button type="submit" class="btn btn-primary"><?php echo _mmHTML($add5); ?></button>
      </div>

  </div>
  </form>

  <script>
  //<![CDATA[
  function checkformAdd(form) {
    var message = '';
    if (form.name.value=='') {
      message += '- <?php echo mmSafeJS($jsvars43); ?>\n';
    }
    if (form.ingredients.value=='') {
      message +='- <?php echo mmSafeJS($jsvars44); ?>\n';
    }
    if (form.instructions.value=='') {
      message +='- <?php echo mmSafeJS($jsvars45); ?>\n';
    }
    if (message) {
      alert('<?php echo mmSafeJS($jsvars3); ?>\n\n'+message);
      return false;
    }
  }
  //]]>
  </script>
</main>