<?php if (!defined('PARENT')) { die('403'); } 
$checkAllBoxes = true;
// Are we in edit mode?
if (isset($_GET['edit'])) {
  // Get category data and populate the post array..
  $CAT = _mmSQLTable('categories','id',(int)$_GET['edit']);
  if (!isset($CAT->id)) {
    die('404');
  }
  if (!isset($_POST['edit'])) {
    foreach ($CAT AS $key => $value) {
      if ($key=='isParent' && $value=='yes') {
        $_POST['type'] = 'new';
      } elseif ($key=='childOf' && (int) $value>0) {
        $_POST['type'] = $value;
      } else {
        $_POST[$key] = $value;
      }
    }
  }
}
?>  
<main>
  <form method="post" action="?p=cats<?php echo (isset($CAT->id) ? '&amp;edit='.$CAT->id : ''); ?>" onsubmit="return checkformCats(this)">
  <div class="container-fluid">
      <?php
      if (isset($OK)) {
        echo actionCompleted($cats19);
      }
      if (isset($OK2)) {
        echo actionCompleted($cats20);
      }
      if (isset($OK3)) {
        echo actionCompleted($cats21);
      }
      ?>
      <h1 class="mt-4"><?php echo (isset($CAT->id) ? $cats11 : $cats2); ?></h1>
      <div class="card mb-4">
          <div class="card-body">
              <div class="form-group">
                <label <?php echo _mmTip($jsvars6); ?>><?php echo $cats3; ?>:</label>
                <input class="form-control" type="text" maxlength="200" name="catname" value="<?php echo (isset($_POST['catname']) ? _mmHTML($_POST['catname']) : ''); ?>">
              </div>

              <div class="form-group">
                <label <?php echo _mmTip($jsvars10); ?>><?php echo $cats4; ?>: <span style="font-weight:normal">(<?php echo $script12; ?>)</span></label>
                <textarea cols="40" rows="8" name="comments" class="form-control"><?php echo (isset($_POST['comments']) ? _mmHTML($_POST['comments']) : ''); ?></textarea>
              </div>

              <div class="form-group">
                <label <?php echo _mmTip($jsvars7); ?>><?php echo $cats7; ?>: <span style="font-weight:normal">(<?php echo $script12; ?>)</span></label>
                <input class="form-control" type="text" name="metaDesc" value="<?php echo (isset($_POST['metaDesc']) ? _mmHTML($_POST['metaDesc']) : ''); ?>">
              </div>

              <div class="form-group">
                <label <?php echo _mmTip($jsvars8); ?>><?php echo $cats10; ?>: <span style="font-weight:normal">(<?php echo $script12; ?>)</span></label>
                <input class="form-control" type="text" name="metaKeys" value="<?php echo (isset($_POST['metaKeys']) ? _mmHTML($_POST['metaKeys']) : ''); ?>">
              </div>

              <div class="form-group">
                <label <?php echo _mmTip($jsvars9); ?>><?php echo $cats14; ?>:</label>
                <select name="type" class="form-control">
                  <option value="new"><?php echo $cats; ?></option>
                  <?php
                  $q_cats = mysqli_query($GLOBALS["___mysqli_ston"], "SELECT * FROM `" . DB_PREFIX . "categories`
                            WHERE `isParent` = 'yes'
                            AND `childOf`    = '0'
                            ".(isset($CAT->id) ? 'AND `id` != \''.$CAT->id.'\'' : '')."
                            ORDER BY `catname`") or die(mysqli_error($GLOBALS["___mysqli_ston"]));
                  if (mysqli_num_rows($q_cats)>0) {
                  ?>
                  <optgroup label="<?php echo $cats13; ?>">
                  <?php
                  while ($CATS = mysqli_fetch_object($q_cats)) {
                  ?>
                  <option value="<?php echo $CATS->id; ?>"<?php echo (isset($_POST['type']) && $_POST['type']==$CATS->id ? ' selected="selected"' : ''); ?>><?php echo _mmClean($CATS->catname); ?></option>
                  <?php
                  }
                  ?>
                  </optgroup>
                  <?php
                  }
                  ?>
                </select>
              </div>
              
              <div class="form-group">
                <label <?php echo _mmTip($jsvars14); ?>><?php echo $cats18; ?>:</label><br>
                <input type="radio" name="enCat" value="yes"<?php echo (isset($_POST['enCat']) && $_POST['enCat']=='yes' ? ' checked="checked"' : (!isset($_POST['enCat']) ? ' checked="checked"' : '')); ?>> <?php echo $settings6; ?> <input type="radio" name="enCat" value="no"<?php echo (isset($_POST['enCat']) && $_POST['enCat']=='no' ? ' checked="checked"' : ''); ?>> <?php echo $settings7; ?>
              </div>

          </div>
      </div>

      <div class="text-center">
        <input type="hidden" name="<?php echo (isset($CAT->id) ? 'edit' : 'process'); ?>" value="<?php echo (isset($CAT->id) ? $CAT->id : '1'); ?>">
        <input type="hidden" name="csrf" value="<?php echo (isset($_SESSION['atoken_' . sha1($SETTINGS->email . SECRET_KEY)]) ? $_SESSION['atoken_' . sha1($SETTINGS->email . SECRET_KEY)] : ''); ?>">
        <button type="submit" class="btn btn-primary"><?php echo (isset($CAT->id) ? $cats11 : $cats2); ?></button>
        <?php echo (isset($CAT->id) ? '<button class="btn btn-default" type="button" onclick="window.location=\'?p=cats\'">' . $script5 . '</button>' : ''); ?>
      </div>

  </div>
  </form>

  <hr>
  
  <form method="post" action="?p=cats" onsubmit="return checkformDel(this)">
  <div class="container-fluid">
      <h1 class="mt-4"><?php echo $cats6; ?></h1>
      <div class="card mb-4">
          <div class="card-body">
            <?php
            $catcnt = 0;
            $q_cats = mysqli_query($GLOBALS["___mysqli_ston"], "SELECT * FROM `" . DB_PREFIX . "categories`
                      WHERE `isParent` = 'yes'
                      AND `childOf`    = '0'
                      ORDER BY `catname`") or die(mysqli_error($GLOBALS["___mysqli_ston"]));
            if (mysqli_num_rows($q_cats)>0) {
              while ($CATS = mysqli_fetch_object($q_cats)) {
                if (++$catcnt != 1) {
                ?>
                <hr>
                <?php
                }
                ?>
                <input type="checkbox" name="cats[]" class="list_chkbox" value="<?php echo $CATS->id; ?>"> <a href="?p=cats&amp;edit=<?php echo $CATS->id; ?>"><b><?php echo _mmClean($CATS->catname); ?></b></a><br>
                <?php
                $q_children = mysqli_query($GLOBALS["___mysqli_ston"], "SELECT * FROM `" . DB_PREFIX . "categories`
                              WHERE `isParent` = 'no'
                              AND `childOf`    = '".$CATS->id."'
                              ORDER BY `catname`") or die(mysqli_error($GLOBALS["___mysqli_ston"]));
                if (mysqli_num_rows($q_children)>0) {
                  while ($CHILDREN = mysqli_fetch_object($q_children)) {
                  ?>
                  &nbsp;&nbsp;<input type="checkbox" class="list_chkbox" name="cats[]" value="<?php echo $CHILDREN->id; ?>"> <a href="?p=cats&amp;edit=<?php echo $CHILDREN->id; ?>"><?php echo _mmClean($CHILDREN->catname); ?></a><br>
                  <?php
                  }
                }
                ?>
                <?php
              }
            }
            ?>
          </div>
      </div>

      <div>
        <input type="hidden" name="del" value="1">
        <input type="hidden" name="csrf" value="<?php echo (isset($_SESSION['atoken_' . sha1($SETTINGS->email . SECRET_KEY)]) ? $_SESSION['atoken_' . sha1($SETTINGS->email . SECRET_KEY)] : ''); ?>">
        <button type="submit" class="btn btn-danger"><?php echo $cats16; ?></button>
      </div>
  </div>
  </form>

  <script>
  //<![CDATA[
  function checkformCats(form) {
    var message = '';
    if (form.catname.value=='') {
      message += '- <?php echo mmSafeJS($jsvars2); ?>\n';
    }
    if (message) {
      alert('<?php echo mmSafeJS($jsvars3); ?>\n\n'+message);
      return false;
    }
  }
  function checkformDel(form) {
    if (confirm('<?php echo mmSafeJS($jsvars); ?>')) {
      return true;
    }
    return false;
  }
  //]]>
  </script>
</main>