<?php if (!defined('PARENT') || !isset($_GET['id'])) { die('403'); }
$ID = (int) $_GET['id'];
$RECIPE = _mmSQLTable('recipes','id', $ID);
if (!isset($RECIPE->id)) {
  die('404');
}
$rcats = getRecCats($ID);
?>  
<main>
  <form method="post" action="?p=edit&amp;id=<?php echo $ID; ?>" onsubmit="return checkformEdit(this)">
  <div class="container-fluid">
      <div class="alert alert-info" style="margin-top:20px">
        <i class="fas fa-cookie fa-fw"></i> <?php echo _mmHTML($RECIPE->name); ?></a> (<a href="?p=pictures&amp;recipe=<?php echo $RECIPE->id; ?>"><?php echo $admin['recipe_tables'][3]; ?></a>, <a href="?p=comments&amp;recipe=<?php echo $RECIPE->id; ?>"><?php echo $admin['recipe_tables'][4]; ?></a>)
      </div>
      <?php
      if (isset($OK)) {
        echo actionCompleted($edit2);
      }
      ?>
      <h1 class="mt-4"><?php echo $edit; ?></h1>
      <div class="card mb-4">
          <div class="card-body">
              <div class="form-group">
                <label <?php echo _mmTip($jsvars46); ?>><?php echo $add; ?>:</label>
                <input class="form-control" type="text" name="name" value="<?php echo (isset($_POST['name']) ? _mmHTML($_POST['name']) : _mmHTML($RECIPE->name)); ?>">
              </div>

              <div class="form-group">
                <label <?php echo _mmTip($jsvars47); ?>><?php echo $add2; ?>:</label>
                <select name="cat[]" multiple="multiple" class="form-control" style="height:400px">
                <?php
                $q_cats = mysqli_query($GLOBALS["___mysqli_ston"], "SELECT * FROM `" . DB_PREFIX . "categories`
                          WHERE `isParent` = 'yes'
                          AND `childOf`    = '0'
                          ORDER BY `catname`") or die(mysqli_error($GLOBALS["___mysqli_ston"]));
                while ($CATS = mysqli_fetch_object($q_cats)) {
                ?>
                <option value="<?php echo $CATS->id; ?>"<?php echo (in_array($CATS->id, $rcats) ? ' selected="selected"' : ''); ?>><?php echo _mmClean($CATS->catname); ?></option>
                <?php
                $q_children = mysqli_query($GLOBALS["___mysqli_ston"], "SELECT * FROM `" . DB_PREFIX . "categories`
                              WHERE `isParent` = 'no'
                              AND `childOf`    = '".$CATS->id."'
                              ORDER BY `catname`") or die(mysqli_error($GLOBALS["___mysqli_ston"]));
                while ($CHILDREN = mysqli_fetch_object($q_children)) {
                ?>
                <option value="<?php echo $CHILDREN->id; ?>"<?php echo (in_array($CHILDREN->id, $rcats) ? ' selected="selected"' : ''); ?>>- <?php echo _mmClean($CHILDREN->catname); ?></option>
                <?php
                }
                }
                ?>
                </select>
              </div>


          </div>
      </div>

      <div class="card mb-4">
          <div class="card-body">
            <div class="form-group">
              <label <?php echo _mmTip($jsvars52); ?>><?php echo $add3; ?>:</label>
              <textarea cols="40" rows="8" name="ingredients" class="form-control"><?php echo (isset($_POST['ingredients']) ? tags::filter($_POST['ingredients']) : tags::filter($RECIPE->ingredients)); ?></textarea>
            </div>

            <div class="form-group">
              <label <?php echo _mmTip($jsvars53); ?>><?php echo $add4; ?>:</label>
              <textarea cols="40" rows="8" name="instructions" class="form-control"><?php echo (isset($_POST['instructions']) ? tags::filter($_POST['instructions']) : tags::filter($RECIPE->instructions)); ?></textarea>
            </div>
          
            <div class="form-group">
              <label <?php echo _mmTip($jsvars48); ?>><?php echo $add13; ?>:</label>
              <input class="form-control" type="text" name="submitted_by" value="<?php echo (isset($_POST['submitted_by']) ? _mmHTML($_POST['submitted_by']) : _mmHTML($RECIPE->submitted_by)); ?>">
            </div>

          </div>
      </div>

      <div class="card mb-4">
          <div class="card-body">
            <div class="form-group">
              <label <?php echo _mmTip($jsvars55); ?>><?php echo $add7; ?>:</label>
              <input class="form-control" type="text" name="metaDesc" value="<?php echo (isset($_POST['metaDesc']) ? _mmHTML($_POST['metaDesc']) : _mmHTML($RECIPE->metaDesc)); ?>">
            </div>

            <div class="form-group">
              <label <?php echo _mmTip($jsvars56); ?>><?php echo $add8; ?>:</label>
              <input class="form-control" type="text" name="metaKeys" value="<?php echo (isset($_POST['metaKeys']) ? _mmHTML($_POST['metaKeys']) : _mmHTML($RECIPE->metaKeys)); ?>">
            </div>

            <div class="form-group">
              <label <?php echo _mmTip($jsvars57); ?>><?php echo $edit5; ?>:</label>
              <input class="form-control" type="text" name="hits" value="<?php echo (isset($_POST['hits']) ? (int) $_POST['hits'] : (int) $RECIPE->hits); ?>">
            </div>

          </div>
      </div>

      <div class="card mb-4">
          <div class="card-body">
            <div class="form-group">
              <label <?php echo _mmTip($jsvars49); ?>><?php echo $add10; ?>:</label><br>
              <input type="radio" name="enComments" value="yes"<?php echo (isset($_POST['enComments']) && $_POST['enComments']=='yes' ? ' checked="checked"' : ($RECIPE->enComments=='yes' ? ' checked="checked"' : '')); ?>> <?php echo $settings6; ?> <input type="radio" name="enComments" value="no"<?php echo (isset($_POST['enComments']) && $_POST['enComments']=='no' ? ' checked="checked"' : ($RECIPE->enComments=='no' ? ' checked="checked"' : '')); ?>> <?php echo $settings7; ?>
            </div>

            <div class="form-group">
              <label <?php echo _mmTip($jsvars51); ?>><?php echo $add12; ?>:</label><br>
              <input type="radio" name="enRecipe" value="yes"<?php echo (isset($_POST['enRecipe']) && $_POST['enRecipe']=='yes' ? ' checked="checked"' : ($RECIPE->enRecipe=='yes' ? ' checked="checked"' : '')); ?>> <?php echo $settings6; ?> <input type="radio" name="enRecipe" value="no"<?php echo (isset($_POST['enRecipe']) && $_POST['enRecipe']=='no' ? ' checked="checked""' : ($RECIPE->enRecipe=='no' ? ' checked="checked"' : '')); ?>> <?php echo $settings7; ?>
            </div>
          </div>
      </div>

      <div class="card mb-4">
          <div class="card-body">
            

            <div class="form-group">
              <label <?php echo _mmTip($jsvars58); ?>><?php echo $edit4; ?>:</label>
              <input class="form-control" type="text" name="addDate" value="<?php echo (isset($_POST['addDate']) ? _mmHTML($_POST['addDate']) : $RECIPE->addDate); ?>">
            </div>

            <div class="form-group">
              <label><?php echo $recipes20; ?>:</label>
              <input class="form-control" type="text" name="rssDate" value="<?php echo (isset($_POST['rssDate']) ? _mmHTML($_POST['rssDate']) : $RECIPE->rss_date); ?>">
            </div>
          </div>
      </div>

      <div class="text-center">
        <input type="hidden" name="process" value="1">
        <input type="hidden" name="csrf" value="<?php echo (isset($_SESSION['atoken_' . sha1($SETTINGS->email . SECRET_KEY)]) ? $_SESSION['atoken_' . sha1($SETTINGS->email . SECRET_KEY)] : ''); ?>">
        <button type="submit" class="btn btn-primary"><?php echo _mmHTML($edit); ?></button>
      </div>

  </div>
  </form>

  <script>
  //<![CDATA[
  function checkformEdit(form) {
    var message = '';
    if (form.name.value=='') {
      message += '- <?php echo mmSafeJS($jsvars43); ?>\n';
    }
    if (form.ingredients.value=='') {
      message +='- <?php echo mmSafeJS($jsvars44); ?>\n';
    }
    if (form.instructions.value=='') {
      message +='- <?php echo mmSafeJS($jsvars45); ?>\n';
    }
    if (message) {
      alert('<?php echo mmSafeJS($jsvars3); ?>\n\n'+message);
      return false;
    }
  }
  //]]>
  </script>
</main>