<?php if (!defined('PARENT')) { die('403'); } 

/* The footer links to Maian Media should remain in place.
   If you wish to remove this link, please consider a donation, thank you.
   Payment can be made via the Maian Recipe website:
   https://www.maianrecipe.com/
   
   Thank you!
----------------------------------------------------------------------------------------*/

$footers = [
  $script3.': <a href="https://www.maianrecipe.com/" onclick="window.open(this);return false"><b>' . $script . ' ' . $script2 . '</b></a> &copy; 2006-' . date("Y") . '. <br class="d-block d-sm-none">' . $script9,
  '<a href="https://www.maianmedia.com/" onclick="window.open(this);return false">Maian Media</a>'
];
?>             
                <footer class="py-4 bg-light mt-auto">
                    <div class="container-fluid">
                        <div class="d-flex align-items-center justify-content-between small">
                            <div class="text-muted"><?php echo $footers[0]; ?></div>
                            <div>
                                <?php echo $footers[1]; ?>
                            </div>
                        </div>
                    </div>
                </footer>
            </div>
        </div>

        <script src="content/js/fa.js" crossorigin="anonymous"></script>
        <script src="content/js/jquery.js" crossorigin="anonymous"></script>
        <script src="content/js/bootstrap.js" crossorigin="anonymous"></script>
        <script src="content/js/scripts.js" crossorigin="anonymous"></script>
        <?php
        // iBox
        if (isset($iBoxLoad)) {
        ?>
        <script src="content/js/jquery.jqloader.js" crossorigin="anonymous"></script>
        <script src="content/js/jquery.ibox.js" crossorigin="anonymous"></script>
        <?php
        }
        // jQuery UI
        if (isset($calendarLoad)) {
        ?>
        <script src="content/js/jquery-ui/jquery-ui.min.js" crossorigin="anonymous"></script>
        <script>
        //<![CDATA[
        jQuery(document).ready(function() {
          jQuery('input[name="<?php echo $calendarLoad; ?>"]').datepicker({
            dateFormat : 'yy-mm-dd'
          });
        });
        //]]>
        </script>
        <?php
        }
        // Data tables loaded
        if (defined('DATA_TABLE')) {
        ?>
        <script src="content/js/datatables.js" crossorigin="anonymous"></script>
        <script src="content/js/dataTables.bootstrap4.min.js" crossorigin="anonymous"></script>
        <?php
        }
        ?>
        <script src="content/js/ops.js" crossorigin="anonymous"></script>
        <?php
        // Data tables loaded
        if (defined('DATA_TABLE')) {
        ?>
        <script>
        //<![CDATA[
        jQuery(document).ready(function() {
          jQuery('#<?php echo DATA_TABLE; ?>').DataTable({
            pageLength : <?php echo PER_PAGE; ?>,
            bFilter    : false,
            columnDefs : [{
              targets   : 'no-sort',
              orderable : false,
            }]
          });
        });
        //]]>
        </script>
        <?php
        }
        //Check all
        if (isset($checkAllBoxes)) {
          include(PATH . 'content/js-check-all.php');
        }
        //Wysiwyg editor
        if (isset($wysiwygLoad)) {
          include(PATH . 'content/wysiwyg.php');
        }
        ?>

    </body>
</html>