<?php if (!defined('PARENT')) { die('403'); } ?>  
<?php if (!defined('PARENT')) { die('403'); } ?>
<!DOCTYPE html>
<html lang="en" dir="ltr">
    <head>
        <meta charset="<?php echo $charset; ?>">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title><?php echo $pageTitle; ?></title>
        <link href="content/css/styles.css" rel="stylesheet">
        <link rel="icon" href="content/images/favicon.ico">
    </head>

    <body>

      <main>
        <form method="post" name="login" action="?p=login" onsubmit="return checkform(this)">
        <div class="container-fluid login_wrapper">
            <h1 class="mt-4"><i class="fas fa-lock fa-fw"></i> <?php echo $pageTitle; ?></h1>
            <div class="card mb-4 login_area">
                <div class="card-body">
                    <div class="form-group">
                        <label for="user"><?php echo $login; ?></label>
                        <input class="form-control py-4" id="user" type="text" name="user" autofocus>
                    </div>
                    <div class="form-group">
                        <label for="pass"><?php echo $login2; ?></label>
                        <input class="form-control py-4" id="pass" name="pass" type="password">
                    </div>
                    <div class="form-group">
                        <label><?php echo $login4; ?></label>
                        <input id="cookie" type="checkbox" name="cookie" value="yes">
                    </div>
                </div>
            </div>

            <div class="text-center">
              <input type="hidden" name="process" value="1">
              <input type="hidden" name="csrf" value="<?php echo (isset($_SESSION['atoken_' . sha1($SETTINGS->email . SECRET_KEY)]) ? $_SESSION['atoken_' . sha1($SETTINGS->email . SECRET_KEY)] : ''); ?>">
              <button type="submit" class="btn btn-primary"><?php echo _mmHTML($login3); ?></button>
            </div>
        </div>
        </form>

        <script>
        //<![CDATA[
        function checkform(form) {
          var message = '';
          if (form.user.value=='') {
            message += '- <?php echo mmSafeJS($login5); ?>\n';
          }
          if (form.pass.value=='') {
            message +='- <?php echo mmSafeJS($login6); ?>\n';
          }
          if (message) {
            alert('<?php echo mmSafeJS($jsvars3); ?>\n\n'+message);
            return false;
          }
        }
        //]]>
        </script>
      </main>

      <script src="content/js/fa.js" crossorigin="anonymous"></script>
      <script src="content/js/jquery.js" crossorigin="anonymous"></script>
      <script src="content/js/bootstrap.js" crossorigin="anonymous"></script>
      <script src="content/js/scripts.js" crossorigin="anonymous"></script>

    </body>
</html>