<?php

if (!defined('PARENT') || !isset($cmd)) { exit; }

/* TRUMBOWYG - WYSIWYG EDITOR
------------------------------------------*/

?>
<script src="content/js/jquery.trumbowyg.js"></script>
<script src="content/js/jquery.trumbowyg.colors.js"></script>
<script src="content/js/jquery.trumbowyg.pasteembed.js"></script>
<?php
if ($wysiwyg_lang != 'en') {
?>
<script src="content/js/i18n-wysiwyg/<?php echo $wysiwyg_lang; ?>.min.js"></script>
<?php
}
?>
<script>
//<![CDATA[
jQuery('textarea').trumbowyg({
  <?php
  // Alter button display based on platform
  switch(MSW_PFDTCT) {
    case 'pc':
      ?>
      btns: [
        ['viewHTML'],
        ['undo', 'redo'],
        ['formatting'],
        ['strong', 'em', 'del'],
        ['superscript', 'subscript'],
        ['link'],
        ['insertImage'],
        ['justifyLeft', 'justifyCenter', 'justifyRight', 'justifyFull'],
        ['unorderedList', 'orderedList'],
        ['horizontalRule'],
        ['foreColor', 'backColor'],
        ['removeformat'],
        ['fullscreen']
      ],
      <?php
      break;
    default:
      ?>
      btnsDef: {
        align: {
          dropdown: ['justifyLeft', 'justifyCenter', 'justifyRight', 'justifyFull'],
          ico: 'justifyLeft'
        }
      },
      btnsDef: {
        format: {
          dropdown: ['strong', 'em', 'del', 'superscript', 'subscript', 'horizontalRule', 'orderedList', 'unorderedList'],
          ico: 'strong'
        }
      },
      btns: [
          ['viewHTML'],
          ['align'],
          ['foreColor', 'backColor'],
          ['formatting'],
          ['format'],
          ['link'],
          ['insertImage'],
          ['removeformat'],
          ['undo', 'redo'],
          ['fullscreen']
      ],
      <?php
      break;
  }
  ?>
  tagsToRemove : ['script','link'],
  svgPath      : 'content/images/icons.svg',
  semantic     : false,
  autogrow     : true,
  _dir         : '<?php echo $lang_dir; ?>',
  lang         : '<?php echo $wysiwyg_lang; ?>'
});
//]]>
</script>
