<?php

/* CLASS FILE
----------------------------------*/

class recipes {

  // Activate comment..
  public static function comments_activate() {
    mysqli_query($GLOBALS["___mysqli_ston"], "UPDATE IGNORE `" . DB_PREFIX . "comments` SET
    `isApproved`  = 'no'
    WHERE `id` IN(" . implode(',',$_POST['com']) . ")
    ") or die(mysqli_error($GLOBALS["___mysqli_ston"]));
  }

  // Update comment..
  public static function comments_update() {
    mysqli_query($GLOBALS["___mysqli_ston"], "UPDATE IGNORE `" . DB_PREFIX . "comments` SET
    `comment`     = '"._mmSQLSafe($_POST['comment'])."',
    `leftBy`      = '"._mmSQLSafe($_POST['leftBy'])."',
    `email`       = '"._mmSQLSafe($_POST['email'])."',
    `addDate`     = '"._mmSQLSafe($_POST['addDate'])."',
    `ipAddresses` = '"._mmSQLSafe($_POST['ipAddresses'])."'
    WHERE `id`    = '".(int)$_GET['id']."'
    ") or die(mysqli_error($GLOBALS["___mysqli_ston"]));
  }

  // Reject comment..
  public static function comments_reject() {
    mysqli_query($GLOBALS["___mysqli_ston"], "DELETE FROM `" . DB_PREFIX . "comments`
    WHERE `id` IN(" . implode(',',$_POST['com']) . ")
    ") or die(mysqli_error($GLOBALS["___mysqli_ston"]));
  }

  // Delete all member comments..
  public static function comments_delete() {
    mysqli_query($GLOBALS["___mysqli_ston"], "DELETE FROM `" . DB_PREFIX . "comments`
    WHERE `id` IN(" . implode(',',$_POST['com']) . ")
    ") or die(mysqli_error($GLOBALS["___mysqli_ston"]));
  }

  // Activate recipe..
  public static function recipe_activate() {
    mysqli_query($GLOBALS["___mysqli_ston"], "UPDATE IGNORE `" . DB_PREFIX . "recipes` SET
    `isApproved`  = 'no'
    WHERE `id` IN(" . implode(',',$_POST['rec']) . ")
    ") or die(mysqli_error($GLOBALS["___mysqli_ston"]));
  }

  // Reject recipe..
  public static function recipe_reject($SETTINGS) {
    // Remove any pictures..
    $pics = [];
    $q = mysqli_query($GLOBALS["___mysqli_ston"], "SELECT * FROM `" . DB_PREFIX . "pictures`
         WHERE `recipe` IN(" . implode(',',$_POST['rec']) . ")
         ") or die(mysqli_error($GLOBALS["___mysqli_ston"]));
    while ($IMG = mysqli_fetch_object($q)) {
      if (file_exists($SETTINGS->server_path . 'content/images/recipes/' . $IMG->picPath)) {
        unlink($SETTINGS->server_path . 'content/images/recipes/' . $IMG->picPath);
      }
      $pics[] = $IMG->id;
    }
    // Delete pics
    if (!empty($pics)) {
      mysqli_query($GLOBALS["___mysqli_ston"], "DELETE FROM `" . DB_PREFIX . "pictures`
      WHERE `id` IN(" . implode(',',$pics) . ")
      ") or die(mysqli_error($GLOBALS["___mysqli_ston"]));
    }
    // Delete recipe..
    mysqli_query($GLOBALS["___mysqli_ston"], "DELETE FROM `" . DB_PREFIX . "recipes`
    WHERE `id` IN(" . implode(',',$_POST['rec']) . ")
    ") or die(mysqli_error($GLOBALS["___mysqli_ston"]));
  }

  // Add new picture..
  public static function pictures_add($name,$temp,$id,$SETTINGS) {
    $ext      = strrchr(strtolower($name), '.');
    $picPath  = $id . '-' . recipes::pictures_next_id($id).$ext;
    if (is_uploaded_file($temp) && is_writeable($SETTINGS->server_path . 'content/images/recipes')) {
      move_uploaded_file($temp,$SETTINGS->server_path . 'content/images/recipes/' . $picPath);
      if (file_exists($SETTINGS->server_path . 'content/images/recipes/' . $picPath)) {
        // Make file removeable via FTP..
        // Not supported by all servers, so mask error..
        @chmod($SETTINGS->server_path . 'content/images/recipes/' . $picPath,0644);
        mysqli_query($GLOBALS["___mysqli_ston"], "INSERT INTO `" . DB_PREFIX . "pictures` (
        `recipe`,`picPath`
        ) VALUES (
        '{$id}','{$picPath}'
        )") or die(mysqli_error($GLOBALS["___mysqli_ston"]));
      }
    }
  }

  // Get next picture id..
  private static function pictures_next_id($id) {
    $query = mysqli_query($GLOBALS["___mysqli_ston"], "SELECT * FROM `" . DB_PREFIX . "pictures`
             WHERE `recipe` = '$id'
             ") or die(mysqli_error($GLOBALS["___mysqli_ston"]));
    return (mysqli_num_rows($query)>0 ? (mysqli_num_rows($query)+1) : 1);
  }

  // Delete selected pictures..
  public static function pictures_delete($SETTINGS) {
    // Delete pictures..
    if (!empty($_POST['pics'])) {
      foreach($_POST['pics'] AS $picID) {
        $q = mysqli_query($GLOBALS["___mysqli_ston"], "SELECT * FROM `" . DB_PREFIX . "pictures`
             WHERE `recipe` = '{$picID}'
             ") or die(mysqli_error($GLOBALS["___mysqli_ston"]));
        while ($IMG = mysqli_fetch_object($q)) {
          if (file_exists($SETTINGS->server_path . 'content/images/recipes/' . $IMG->picPath)) {
            unlink($SETTINGS->server_path . 'content/images/recipes/' . $IMG->picPath);
          }
        }
      }
      mysqli_query($GLOBALS["___mysqli_ston"], "DELETE FROM `" . DB_PREFIX . "pictures`
      WHERE `id` IN(" . implode(',', $_POST['pics']) . ")
      ") or die(mysqli_error($GLOBALS["___mysqli_ston"]));
    }
  }

  // Add new recipe..
  public static function add() {
    mysqli_query($GLOBALS["___mysqli_ston"], "INSERT IGNORE INTO `" . DB_PREFIX . "recipes` (
    `name`,
    `ingredients`,
    `instructions`,
    `submitted_by`,
    `addDate`,
    `hits`,
    `metaDesc`,
    `metaKeys`,
    `enComments`,
    `enRecipe`,
    `isApproved`,
    `ipAddresses`,
    `rss_date`
    ) VALUES (
    '"._mmSQLSafe($_POST['name'])."',
    '"._mmSQLSafe($_POST['ingredients'])."',
    '"._mmSQLSafe($_POST['instructions'])."',
    '"._mmSQLSafe($_POST['submitted_by'])."',
    '".date("Y-m-d",strtotime(SERVER_TIME_ADJUSTMENT))."',
    '0',
    '"._mmSQLSafe($_POST['metaDesc'])."',
    '"._mmSQLSafe($_POST['metaKeys'])."',
    '".(isset($_POST['enComments']) ? $_POST['enComments'] : 'yes')."',
    '".(isset($_POST['enRecipe']) ? $_POST['enRecipe'] : 'yes')."',
    'no',
    '"._mmIP()."',
    '".RSS_BUILD_DATE_FORMAT."'
    )") or die(mysqli_error($GLOBALS["___mysqli_ston"]));
    $ID = mysqli_insert_id($GLOBALS["___mysqli_ston"]);
    if ($ID > 0) {
      if (!empty($_POST['cat'])) {
        foreach($_POST['cat'] AS $catID) {
          mysqli_query($GLOBALS["___mysqli_ston"], "INSERT `" . DB_PREFIX . "recipe_cats` (
          `recipe`,`category`
          ) VALUES (
          '{$ID}','{$catID}'
          )") or die(mysqli_error($GLOBALS["___mysqli_ston"]));
        }
      }
    }
    return $ID;
  }

  // Update recipe..
  public static function update() {
    mysqli_query($GLOBALS["___mysqli_ston"], "UPDATE IGNORE `" . DB_PREFIX . "recipes` SET
    `name`          = '"._mmSQLSafe($_POST['name'])."',
    `ingredients`   = '"._mmSQLSafe($_POST['ingredients'])."',
    `instructions`  = '"._mmSQLSafe($_POST['instructions'])."',
    `submitted_by`  = '"._mmSQLSafe($_POST['submitted_by'])."',
    `addDate`       = '".$_POST['addDate']."',
    `hits`          = '".(int)$_POST['hits']."',
    `metaDesc`      = '"._mmSQLSafe($_POST['metaDesc'])."',
    `metaKeys`      = '"._mmSQLSafe($_POST['metaKeys'])."',
    `enComments`    = '".(isset($_POST['enComments']) ? $_POST['enComments'] : 'yes')."',
    `enRecipe`      = '".(isset($_POST['enRecipe']) ? $_POST['enRecipe'] : 'yes')."',
    `rss_date`      = '".$_POST['rssDate']."'
    WHERE `id`      = '".(int)$_GET['id']."'
    ") or die(mysqli_error($GLOBALS["___mysqli_ston"]));
    if (!empty($_POST['cat'])) {
      $ID = (int) $_GET['id'];
      mysqli_query($GLOBALS["___mysqli_ston"], "DELETE FROM `" . DB_PREFIX . "recipe_cats`
      WHERE `recipe` = '{$ID}'
      ") or die(mysqli_error($GLOBALS["___mysqli_ston"]));
      foreach($_POST['cat'] AS $catID) {
        mysqli_query($GLOBALS["___mysqli_ston"], "INSERT `" . DB_PREFIX . "recipe_cats` (
        `recipe`,`category`
        ) VALUES (
        '{$ID}','{$catID}'
        )") or die(mysqli_error($GLOBALS["___mysqli_ston"]));
      }
    }
  }

  // Delete recipe..
  public static function delete($SETTINGS) {
    $query = mysqli_query($GLOBALS["___mysqli_ston"], "SELECT * FROM `" . DB_PREFIX . "recipes`
             WHERE `id` IN (".implode(',', $_POST['del']).")
             ") or die(mysqli_error($GLOBALS["___mysqli_ston"]));
    while ($RECIPE = mysqli_fetch_object($query)) {
      // Delete pictures..
      $q_pic = mysqli_query($GLOBALS["___mysqli_ston"], "SELECT * FROM `" . DB_PREFIX . "pictures`
               WHERE `recipe` = '{$RECIPE->id}'
               ") or die(mysqli_error($GLOBALS["___mysqli_ston"]));
      if (mysqli_num_rows($q_pic)>0) {
        while ($IMG = mysqli_fetch_object($q_pic)) {
          if (file_exists($SETTINGS->server_path . 'content/images/recipes/' . $IMG->picPath)) {
            unlink($SETTINGS->server_path . 'content/images/recipes/' . $IMG->picPath);
          }
          mysqli_query($GLOBALS["___mysqli_ston"], "DELETE FROM `" . DB_PREFIX . "pictures`
          WHERE `id` = '{$IMG->id}'
          ") or die(mysqli_error($GLOBALS["___mysqli_ston"]));
        }
      }
    }
    // Delete recipes..
    mysqli_query($GLOBALS["___mysqli_ston"], "DELETE FROM `" . DB_PREFIX . "recipes`
    WHERE `id` IN (".implode(',', $_POST['del']).")
    ") or die(mysqli_error($GLOBALS["___mysqli_ston"]));
    // Delete recipe cats..
    mysqli_query($GLOBALS["___mysqli_ston"], "DELETE FROM `" . DB_PREFIX . "recipe_cats`
    WHERE `recipe` IN (".implode(',', $_POST['del']).")
    ") or die(mysqli_error($GLOBALS["___mysqli_ston"]));
    // Delete comments..
    mysqli_query($GLOBALS["___mysqli_ston"], "DELETE FROM `" . DB_PREFIX . "comments`
    WHERE `recipe` IN (".implode(',', $_POST['del']).")
    ") or die(mysqli_error($GLOBALS["___mysqli_ston"]));
  }

}

?>
