<?php if (!defined('PARENT')) { exit; } ?>
      <!-- Page content-->
      <div class="container mainmswarea" id="container">
        <div class="row">
          <div class="col-lg-9">
          
            <h1><?php echo $this->ADD_RECIPE_TXT; ?></h1>
            
            <div class="panel panel-default">
              <div class="panel-body">
                <?php echo $this->WELCOME_MSG; ?>
              </div>
            </div>
            
            <form method="post" action="#" id="a_form" enctype="multipart/form-data">
              <div class="panel panel-default">
                <div class="panel-body">
              
                  <div class="form-group">
                    <label><?php echo $this->NAME_TXT; ?>:</label>
                    <div class="form-group input-group">
                      <span class="input-group-addon"><i class="fas fa-user fa-fw"></i></span>
                      <input type="text" class="form-control" tabindex="1" name="nm" value="" autofocus>
                    </div>
                  </div>
                
                  <div class="form-group">
                    <label><?php echo $this->EMAIL_TXT; ?>:</label>
                    <div class="form-group input-group">
                      <span class="input-group-addon"><i class="fas fa-envelope fa-fw"></i></span>
                      <input type="text" class="form-control" tabindex="2" name="em" value="">
                    </div>
                  </div>
                  
                </div>
              </div>
              
              <h2><?php echo $this->ADD_RECIPE_TXT3; ?></h2>
              
              <div class="panel panel-default">
                <div class="panel-body">
              
                  <div class="form-group">
                    <label><?php echo $this->RECIPE_NAME_TXT; ?>:</label>
                    <input type="text" class="form-control" tabindex="3" name="rn" value="">
                  </div>
                
                  <div class="form-group">
                    <label><?php echo $this->CAT_TXT; ?>:</label>
                    <select name="cats[]" class="form-control" multiple="multiple" style="height:300px" tabindex="4">
                      <?php
                      // Loads categories that allow recipe submissions..
                      echo $this->CATEGORIES;
                      ?>
                    </select>
                  </div>
                  
                </div>
              </div>
              
              <h2><?php echo $this->ADD_RECIPE_TXT4; ?></h2>
              
              <div class="panel panel-default">
                <div class="panel-body">
              
                  <div class="form-group">
                    <label><?php echo $this->INGREDIENTS_TXT; ?>:</label>
                    <textarea name="ingredients" class="form-control" rows="5" cols="20" tabindex="5"></textarea>
                  </div>
                
                  <div class="form-group">
                    <label><?php echo $this->INSTRUCTIONS_TXT; ?>:</label>
                    <textarea name="instructions" class="form-control" rows="5" cols="20" tabindex="6"></textarea>
                  </div>
                  
                </div>
              </div>
              
              <?php
              // Loads upload picture boxes if pictures are enabled..
              // content/html/add-recipe-pictures.htm
              echo $this->PICTURES;
              
              // Loads form captcha if it is enabled..
              // Disable if login system used
              // content/html/captcha.htm
              if ($this->LOGGED_IN == 'no') {
                echo $this->CAPTCHA;
              }
              ?>
                  
              <hr>
              <button type="button" class="btn btn-primary" id="a_btn"><i class="fas fa-plus fa-fw"></i> <?php echo $this->SEND_TXT; ?></button>
              
              <input type="hidden" name="csrf" value="<?php echo $this->CSRF; ?>">
            </form>
          
          </div>
          <div class="col-lg-3">
          
            <?php
            // Only show logout if logged in
            if ($this->LOGGED_IN == 'yes') {
            ?>
            <div class="panel panel-default">
              <div class="panel-body">
                <a href="?lo=yes"><i class="fas fa-lock-open fa-fw"></i> <?php echo $this->VARS[12]; ?></a>
              </div>
            </div>
            <?php
            }
            ?>
            
            <form method="post" action="<?php echo $this->H_URL; ?>" id="sc_fm">
              <div class="form-group">
                <input type="hidden" name="search" value="1">
                <div class="form-group">
                  <div class="form-group input-group">
                   <input type="text" name="keys" class="form-control" placeholder="<?php echo $this->PLACEHOLDER; ?>" value="<?php echo $this->KEYWORDS; ?>">
                   <span class="input-group-addon" style="cursor:pointer" onclick="jQuery('#sc_fm').submit()"><i class="fas fa-chevron-right fa-fw"></i></span>
                  </div>
                </div>         
              </div>
            </form>
            
            <div class="panel panel-default">
              <div class="panel-heading">
                <i class="fas fa-hamburger fa-fw"></i> <?php echo $this->FILTER_BY_TXT; ?>
              </div>
              <div class="panel-body">
                <select onchange="if(this.value!= 0){location=this.options[this.selectedIndex].value}" class="form-control">
                  <option value="0">- - - - -</option>
                  <?php echo $this->LOAD_CONTRIBUTORS; ?>
                </select>
              </div>
            </div>
            
            <div class="panel panel-default recboxarea">
              <div class="panel-heading">
                <i class="fas fa-pizza-slice fa-fw"></i> <?php echo $this->LATEST_RECIPES_TXT; ?>
              </div>
              <div class="panel-body rightbox">
                <?php echo $this->LATEST_RECIPES; ?>
              </div>
            </div>
          
          </div>
        </div>
      </div>