<?php if (!defined('PARENT')) { exit; } ?>
      <!-- Page content-->
      <div class="container mainmswarea" id="container">
        <div class="row">
          <div class="col-lg-9">
          
            <?php
            if (defined('EN_BANNER_ROTATOR') && EN_BANNER_ROTATOR) {
            ?>
            <div id="carousel">
              <?php
              // Load images for banner rotator..hide all except first image..
              // Add jpg,jpeg,png or gif images to "content/images/header" folder.
              if (is_dir(PATH . 'content/images/header')) {
                $bc = 0;
                $dir = opendir(PATH . 'content/images/header');
                if ($dir) {
                  while (false !== ($read = readdir($dir))) {
                    if (in_array(substr(strtolower($read), -4),['.jpg','.png','.gif']) || substr($read, -5) == '.jpeg') {
                    ?>
                    <img src="content/images/header/<?php echo $read; ?>" alt=""<?php echo (++$bc > 1 ? ' style="display:none"' : ''); ?>>
                    <?php
                    }
                  }
                  closedir($dir);
                }
                if ($bc > 0) {
                  define('BANNERS', 1);
                }
              }
              ?>
            </div>
            <?php
            }
            ?>
            
            <h1><?php echo $this->WELCOME_TXT; ?></h1>
            
            <div class="panel panel-default">
              <div class="panel-body">
                <?php echo $this->WELCOME_MSG; ?>
              </div>
            </div>
            
            <h2><?php echo $this->CATEGORIES_TXT; ?>:</h2>
            
            <div class="row">
              <div class="col-lg-6">
                 
                 <div class="panel panel-default">
                   <div class="panel-body">
                     <?php echo $this->CATEGORIES_LEFT; ?>
                   </div>
                 </div>
              
              </div>
              <div class="col-lg-6">
              
                <div class="panel panel-default">
                  <div class="panel-body">
                    <?php echo $this->CATEGORIES_RIGHT; ?>
                  </div>
                </div>
              
              </div>
            </div>
          
          </div>
          <div class="col-lg-3">
            
            <form method="post" action="<?php echo $this->H_URL; ?>" id="sc_fm">
              <div class="form-group">
                <input type="hidden" name="search" value="1">
                <div class="form-group">
                  <div class="form-group input-group">
                   <input type="text" name="keys" class="form-control" placeholder="<?php echo $this->PLACEHOLDER; ?>" value="<?php echo $this->KEYWORDS; ?>">
                   <span class="input-group-addon" style="cursor:pointer" onclick="jQuery('#sc_fm').submit()"><i class="fas fa-chevron-right fa-fw"></i></span>
                  </div>
                </div>         
              </div>
            </form>
            
            <div class="panel panel-default">
              <div class="panel-body">
                <?php
                echo $this->CURRENTLY_LISTING;
                if ($this->RSS) {
                  ?>
                  <hr>
                  <?php
                  echo '<i class="fas fa-rss fa-fw"></i> ' . $this->RSS;
                }
                ?>
              </div>
            </div>
            
            <div class="panel panel-default">
              <div class="panel-heading">
                <i class="fas fa-hamburger fa-fw"></i> <?php echo $this->FILTER_BY_TXT; ?>
              </div>
              <div class="panel-body">
                <select onchange="if(this.value!= 0){location=this.options[this.selectedIndex].value}" class="form-control">
                  <option value="0">- - - - -</option>
                  <?php echo $this->LOAD_CONTRIBUTORS; ?>
                </select>
              </div>
            </div>
            
            <div class="panel panel-default recboxarea">
              <div class="panel-heading">
                <i class="fas fa-pizza-slice fa-fw"></i> <?php echo $this->LATEST_RECIPES_TXT; ?>
              </div>
              <div class="panel-body rightbox">
                <?php echo $this->LATEST_RECIPES; ?>
              </div>
            </div>
            
            <div class="panel panel-default recboxarea">
              <div class="panel-heading">
                <i class="fas fa-pepper-hot fa-fw"></i> <?php echo $this->MOST_POPULAR_TXT; ?>
              </div>
              <div class="panel-body rightbox">
                <?php echo $this->MOST_POPULAR; ?>
              </div>
            </div>
          
          </div>
        </div>
      </div>