function mswWinLoc(loc) {
  window.location = loc;
}

function fadeNext() {
  jQuery('#carousel img:not(:first)').hide();
  jQuery('#carousel img').first().hide().appendTo(jQuery('#carousel'));
  jQuery('#carousel img').first().fadeIn();
}

function mswAlert(txt, msg, mtype) {
  if (jQuery('.bootbox')) {
    jQuery('.bootbox').remove();
  }
  if (jQuery('.modal-backdrop')) {
    jQuery('.modal-backdrop').remove();
  }
  switch(mtype) {
    case 'err':
      bootbox.dialog({
        message   : msg,
        title     : '<i class="fas fa-exclamation-triangle fa-fw"></i> ' + txt,
        className : 'msw-box-error',
        onEscape  : true,
        backdrop  : true
      });
      break;
    case 'info':
      bootbox.dialog({
        message   : msg,
        title     : '<i class="fas fa-info-circle fa-fw"></i> ' + txt,
        className : 'msw-box-ok',
        onEscape  : true,
        backdrop  : true
      });
      break;
    default:
      bootbox.dialog({
        message   : msg,
        title     : '<i class="fas fa-check fa-fw msw-green"></i> ' + txt,
        className : 'msw-box-ok',
        onEscape  : true,
        backdrop  : true
      });
      break;
  }
}

function mswCloseSpinner() {
  jQuery('body').JQLoader({
    action : 'close'
  });
}

function mswShowSpinner() {
  jQuery('body').JQLoader({
    background : '#00788E',
    color      : '#fff'
  });
}

jQuery(document).on('change', ':file', function() {
  var input = jQuery(this);
  label = input.val().replace(/\\/g, '/').replace(/.*\//, '');
  var div = input.parent().parent().parent();
  jQuery.each(div, function(index) {
    jQuery('#' + jQuery(this).attr('id') + ' input[readonly="readonly"]').val(label);
    return false;
  });
});