<!DOCTYPE html>
<html lang="en">
  <head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>500 Internal Server Error</title>
  <style type="text/css">
    @import 'https://fonts.googleapis.com/css?family=Leckerli+One:400|Lato:700,400|Quattrocento+Sans:400';
    html {
      -webkit-font-smoothing: antialiased;
      -moz-osx-font-smoothing: grayscale;
    }
    #wrapper {
      text-align:center;
      padding-top:20px;
      width: 70%;
      margin: 10px auto;
    }
    h1 {
      font-family: "Leckerli One", handwriting;
      font-size: 70px;
      font-weight: 400;
      line-height: 1.20;
      opacity: 1.00;
      margin-top: 0px;
      margin-bottom: 20px;
      letter-spacing: -0.72px;
      word-spacing: 0.00px;
      text-transform: none;
    }
    p {
      font-family: "Quattrocento Sans", sans-serif;
      font-size: 18px;
      font-weight: 400;
      line-height: 1.60;
      opacity: 0.70;
      margin-top: 0px;
      margin-bottom: 25px;
      letter-spacing: -0.30px;
      word-spacing: -0.10px;
      text-transform: none;
    }
    p.foot {
      font-size: 14px;
      margin-top:20px;
    }
    a {
      font-weight:bold;
      text-decoration: underline;
    }
    hr {
      border:0;
      border-bottom:1px dashed #c0c0c0;
    }
    .italic {
      font-style:italic;
    }
  </style>
  </head>
  
  <body>
    <div id="wrapper">
      <h1>500</h1>
      <p>An error has occurred while running this software. This may be caused by a server setting, PHP incompatibility with the software version you are trying to run or a software bug. Please try the following:<br><br>
      <b>1</b>: Check the "logs" folder within your software installation for exception errors. This may help identify the cause.<br><br>
      <b>2</b>: If no logs are found, check your server error log.<br><br>
      <hr>
      <p class="foot">Thank you and we apologise for any inconvenience,<br>
      <span class="italic">The Maian Media Team</span>
      </p>
    </div>
  </body>

</html>
