<?php

/* MAIAN RECIPE CONFIG FILE
   Edit defined values on the right
---------------------------------------------*/

/*---------------------------------------------
  DATABASE CONNECTION
  1. Create daabase in your control panel
  2. Specify your connection details
-----------------------------------------------*/

define('DB_HOST', 'Host goes here..');
define('DB_USER', 'Username goes here..');
define('DB_PASS', 'Password goes here..');
define('DB_NAME', 'Database name goes here..');
define('DB_PREFIX', 'mr_');

/*---------------------------------------------
  DATABASE LOCALE/CHARSET
  Don't change if you don't understand
-----------------------------------------------*/

define('DB_CHAR_SET', 'utf8');
define('DB_LOCALE', 'en_GB');

/*-------------------------------------------------------------------------------------------------
  SECRET KEY (OR SALT)
  For security. Should be a long random string of numbers, letters and special characters
  https://www.maianmedia.com/services/keys/
---------------------------------------------------------------------------------------------------*/

define('SECRET_KEY', 'mr-recipe-key');

/*-------------------------------------------------------------------------------------------------
  COOKIE NAME
  For security. Should be a long random string of numbers, letters and special characters
---------------------------------------------------------------------------------------------------*/

define('COOKIE_NAME', 'mr-recipe-cookie');

/*-------------------------------------------------------------------------------------------------
   TIMEZONE. LEAVE BLANK TO AUTO DETECT SERVER TIMEZONE.
   For manual entry, must be valid timezone. Examples:

   define('TIMEZONE', 'Europe/London');
   define('TIMEZONE', 'Asia/Hong_Kong');

   For valid timezones see: https://www.php.net/manual/en/timezones.php

   If left blank, gets value from:
   https://www.php.net/manual/en/function.date-default-timezone-get.php
---------------------------------------------------------------------------------------------------*/

define('TIMEZONE', 'Europe/London');

/*-------------------------------------------------------------------------------------------------
  ADMIN LOGIN
  For recipe administration
---------------------------------------------------------------------------------------------------*/

define('USERNAME', 'Admin CP username goes here..');
define('PASSWORD', 'Admin CP password goes here..');

//================================
// DO NOT EDIT BELOW THIS LINE
//================================

$connect = @($GLOBALS["___mysqli_ston"] = mysqli_connect(DB_HOST, DB_USER, DB_PASS));
if ($connect && !((bool)mysqli_query($connect, 'USE `' . DB_NAME . '`'))) {
	die ('MySQL Connection error:<br><br>'.mysqli_error($GLOBALS["___mysqli_ston"]).'<br><br>Check your connection information.');
}
mysqli_query($GLOBALS["___mysqli_ston"], "SET CHARACTER SET '" . DB_CHAR_SET . "'");
mysqli_query($GLOBALS["___mysqli_ston"], "SET NAMES '" . DB_CHAR_SET . "'");
mysqli_query($GLOBALS["___mysqli_ston"], "SET `lc_time_names` = '" . DB_LOCALE . "'");
mysqli_query($GLOBALS["___mysqli_ston"], "SET `sql_mode` = ''");

?>