<?php if (!defined('PARENT')) { die('403'); }
// Latest recipes
$qR = mysqli_query($GLOBALS["___mysqli_ston"], "SELECT *,
  DATE_FORMAT(`adddate`,'" . MYSQL_DATE_FORMAT . "') AS aDate,
  (SELECT count(*) FROM `" . DB_PREFIX . "comments`
  WHERE `" . DB_PREFIX . "comments`.`recipe` = `" . DB_PREFIX . "recipes`.`id`
  AND `" . DB_PREFIX . "comments`.`isApproved` = 'no'
  ) AS `comCount`,
  `" . DB_PREFIX . "recipes`.`id` AS `recipeID`
  FROM `" . DB_PREFIX . "recipes`
  LEFT JOIN `" . DB_PREFIX . "recipe_cats`
  ON `" . DB_PREFIX . "recipe_cats`.`recipe` = `" . DB_PREFIX . "recipes`.`id`
  WHERE `isApproved` = 'no'
  GROUP BY `" . DB_PREFIX . "recipe_cats`.`recipe`
  ORDER BY `" . DB_PREFIX . "recipes`.`id` DESC
  LIMIT " . ADMIN_HOME_RECIPES) or die(mysqli_error($GLOBALS["___mysqli_ston"]));

// Latest comments
$qC = mysqli_query($GLOBALS["___mysqli_ston"], "SELECT *,
  DATE_FORMAT(`addDate`,'".MYSQL_DATE_FORMAT."') AS `aDate`,
  (SELECT `name` FROM `" . DB_PREFIX . "recipes`
    WHERE `id` = `" . DB_PREFIX . "comments`.`recipe`
  ) AS `recipeName`
  FROM `" . DB_PREFIX . "comments`
  WHERE `isApproved` = 'no'
  ORDER BY `id` DESC
  LIMIT " . ADMIN_HOME_COMMENTS) or die(mysqli_error($GLOBALS["___mysqli_ston"]));
?>  
<main>
  <div class="container-fluid">
      <h1 class="mt-4"><?php echo str_replace('{count}',ADMIN_HOME_RECIPES,$home16); ?></h1>
      <div class="card mb-4">
          <div class="card-body">
              <div class="table-responsive">
                  <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                      <thead>
                        <tr>
                            <?php
                            for($i=0; $i<count($admin['recipe_tables']); $i++) {
                            ?>
                            <th><?php echo $admin['recipe_tables'][$i]; ?></th>
                            <?php
                            }
                            ?>
                            <th class="no-sort"></th>
                        </tr>
                      </thead>
                      <tbody>
                      <?php
                      while ($RECIPES = mysqli_fetch_object($qR)) {
                      ?>
                        <tr>
                            <td><?php echo _mmHTML($RECIPES->name); ?></td>
                            <td><?php echo _mmHTML($RECIPES->submitted_by); ?></td>
                            <td data-order="<?php echo strtotime($RECIPES->aDate); ?>"><?php echo $RECIPES->aDate; ?></td>
                            <td><a href="?p=pictures&amp;recipe=<?php echo $RECIPES->recipeID; ?>"><?php echo _mmSQLRows('pictures',' WHERE recipe = \''.$RECIPES->recipeID.'\''); ?></a></td>
                            <td><a href="?p=comments&amp;recipe=<?php echo $RECIPES->recipeID; ?>"><?php echo _mmSQLRows('comments',' WHERE recipe = \''.$RECIPES->recipeID.'\' AND isApproved = \'no\''); ?></a></td>
                            <td><?php echo number_format((float) $RECIPES->hits); ?></td>
                            <td><i class="fas fa-<?php echo ($RECIPES->enRecipe=='yes' ? 'check-circle' : 'times-circle'); ?> fa-fw"></i></td>
                            <td><a href="<?php echo ($SETTINGS->modr=='yes' ? $SETTINGS->install_path . 'free-recipe/' . _mmURL($RECIPES->name) . '/' . $RECIPES->recipeID . '/index.html' : '../?p=recipe&amp;recipe=' . $RECIPES->recipeID); ?>" onclick="window.open(this);return false"><i class="fas fa-search fa-fw"></i></a> <a href="?p=edit&amp;id=<?php echo $RECIPES->recipeID; ?>"><i class="fas fa-edit fa-fw"></i></a></td>
                        </tr>
                        <?php
                      }
                      ?>
                      </tbody>
                  </table>
              </div>
          </div>
      </div>
  </div>

  <div class="container-fluid">
      <h1 class="mt-4"><?php echo str_replace('{count}',ADMIN_HOME_COMMENTS,$home17); ?></h1>
      <div class="card mb-4">
          <div class="card-body">
              <div class="table-responsive">
                  <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                      <thead>
                        <tr>
                            <th><?php echo $comments18; ?></th>
                            <?php
                            for($i=0; $i<count($admin['recipe_comments']); $i++) {
                            ?>
                            <th><?php echo $admin['recipe_comments'][$i]; ?></th>
                            <?php
                            }
                            ?>
                            <th class="no-sort"></th>
                        </tr>
                      </thead>
                      <tbody>
                      <?php
                      while ($COMMENTS = mysqli_fetch_object($qC)) {
                      ?>
                        <tr>
                            <td><?php echo ($COMMENTS->recipeName ? _mmHTML($COMMENTS->recipeName) : 'N/A'); ?></td>
                            <td><?php echo _mmHTML($COMMENTS->leftBy); ?></td>
                            <td><?php echo _mmHTML($COMMENTS->email); ?></td>
                            <td data-order="<?php echo preg_replace('/[^0-9]/', '', $COMMENTS->ipAddresses); ?>"><?php echo _mmHTML($COMMENTS->ipAddresses); ?></td>
                            <td data-order="<?php echo strtotime($COMMENTS->aDate); ?>"><?php echo $COMMENTS->aDate; ?></td>
                            <td><a href="?p=comments&amp;view=<?php echo $COMMENTS->id; ?>" onclick="iBox.showURL(this.href,'',{width:850,height:550});return false"><i class="fas fa-search fa-fw"></i></a> <a href="?p=edit-comment&amp;id=<?php echo $COMMENTS->id; ?>"><i class="fas fa-edit fa-fw"></i></a></td>
                        </tr>
                        <?php
                      }
                      ?>
                      </tbody>
                  </table>
              </div>
          </div>
      </div>
  </div>

</main>