<?php if (!defined('PARENT')) { die('403'); }
$checkAllBoxes = true;
// Initialise data tables
$catID = 0;
if (isset($_GET['c'])) {
  $catID = (int) $_GET['c'];
}
$SQL_SEARCH = '';
if (isset($_GET['q']) && $_GET['q']) {
  if ((int) $_GET['q'] > 0) {
    $SQL_SEARCH = "AND `" . DB_PREFIX . "recipe_cats`.`recipe` = '".(int) $_GET['q']."'";
  } else {
    // 3 character fix
    if (strlen($_GET['q']) > 3) {
      $SQL_SEARCH = "AND (MATCH(`name`,`instructions`,`ingredients`,`submitted_by`) AGAINST('".mysqli_real_escape_string($GLOBALS["___mysqli_ston"], $_GET['q'])."' IN BOOLEAN MODE))";
    } else {
      $keys = mysqli_real_escape_string($GLOBALS["___mysqli_ston"], $_GET['q']);
      $SQL_SEARCH = "AND (`name` LIKE '%{$keys}%' OR `instructions` LIKE '%{$keys}%' OR `ingredients` LIKE '%{$keys}%' OR `submitted_by` LIKE '%{$keys}%')";
    }
  }
}

$q_all = mysqli_query($GLOBALS["___mysqli_ston"], "SELECT SQL_CALC_FOUND_ROWS *,
  DATE_FORMAT(`adddate`,'" . MYSQL_DATE_FORMAT . "') AS aDate,
  (SELECT count(*) FROM `" . DB_PREFIX . "comments`
  WHERE `" . DB_PREFIX . "comments`.`recipe` = `" . DB_PREFIX . "recipes`.`id`
  AND `" . DB_PREFIX . "comments`.`isApproved` = 'no'
  ) AS `comCount`,
  `" . DB_PREFIX . "recipes`.`id` AS `recipeID`
  FROM `" . DB_PREFIX . "recipes`
  LEFT JOIN `" . DB_PREFIX . "recipe_cats`
  ON `" . DB_PREFIX . "recipe_cats`.`recipe` = `" . DB_PREFIX . "recipes`.`id`
  WHERE `isApproved` = 'no'
  ".($catID > 0 ? 'AND `' . DB_PREFIX . 'recipe_cats`.`category` = \'' . $catID . '\'' . $SQL_SEARCH : $SQL_SEARCH)."
  GROUP BY `" . DB_PREFIX . "recipe_cats`.`recipe`
  ORDER BY `name`
  ") or die(mysqli_error($GLOBALS["___mysqli_ston"]));
$c            = mysqli_fetch_object(mysqli_query($GLOBALS["___mysqli_ston"],"SELECT FOUND_ROWS() AS `rows`"));
$countedRows  =  (isset($c->rows) ? $c->rows : '0');
?>  
<main>
  <form method="post" action="?p=recipes" onsubmit="return checkformDel(this)">
  <div class="container-fluid">
      <?php
      if (isset($_GET['q'])) {
      ?>
      <div class="alert alert-info" style="margin-top:20px"><span class="float-right">(<a href="?p=recipes"><?php echo $vars[17]; ?></a>)</span><i class="fas fa-search fa-fw"></i></div>
      <?php
      }
      if (isset($OK)) {
        echo actionCompleted($recipes42);
      }
      ?>
      <h1 class="mt-4"><?php echo $header3; ?> (<?php echo number_format($countedRows); ?>)</h1>
      <div style="text-align:right;margin-bottom:10px">
        <div class="btn-group" role="group" aria-label="Button group with nested dropdown">
          <div class="btn-group" role="group">
            <button id="btn1" type="button" class="btn btn-sm btn-secondary btn-info dropdown-toggle" data-toggle="dropdown" aria-expanded="false">
              <i class="fas fa-filter fa-fw"></i>
            </button>
            <div class="dropdown-menu dropdown-menu-right" aria-labelledby="btn1" style="height:400px;overflow:auto">
              <a class="dropdown-item" href="?p=recipes"><?php echo $recipes16; ?></a>
              <?php
              $q_cats = mysqli_query($GLOBALS["___mysqli_ston"], "SELECT * FROM `" . DB_PREFIX . "categories`
                        WHERE `isParent` = 'yes'
                        AND `enCat`      = 'yes'
                        AND `childOf`    = '0'
                        ORDER BY `catname`") or die(mysqli_error($GLOBALS["___mysqli_ston"]));
              while ($CATS = mysqli_fetch_object($q_cats)) {
              ?>
              <a class="dropdown-item<?php echo (isset($_GET['c']) && $_GET['c'] == $CATS->id ? ' active' : ''); ?>" href="?p=recipes&amp;c=<?php echo $CATS->id; ?>"><?php echo _mmHTML($CATS->catname); ?></a>
              <?php
              $q_children = mysqli_query($GLOBALS["___mysqli_ston"], "SELECT * FROM `" . DB_PREFIX . "categories`
                            WHERE `isParent` = 'no'
                            AND `enCat`      = 'yes'
                            AND `childOf`    = '".$CATS->id."'
                            ORDER BY `catname`") or die(mysqli_error($GLOBALS["___mysqli_ston"]));
              while ($CHILDREN = mysqli_fetch_object($q_children)) {
              ?>
              <a class="dropdown-item<?php echo (isset($_GET['c']) && $_GET['c'] == $CHILDREN->id ? ' active' : ''); ?>" href="?p=recipes&amp;c=<?php echo $CHILDREN->id; ?>">- <?php echo _mmHTML($CHILDREN->catname); ?></a>
              <?php
              }
              }
              ?>
            </div>
          </div>
        </div>
      </div>
      <div class="card mb-4">
          <div class="card-body">
              <div class="table-responsive">
                  <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                      <thead>
                        <tr>
                            <?php
                            for($i=0; $i<count($admin['recipe_tables']); $i++) {
                            ?>
                            <th><?php echo $admin['recipe_tables'][$i]; ?></th>
                            <?php
                            }
                            ?>
                            <th class="no-sort"></th>
                        </tr>
                      </thead>
                      <tbody>
                      <?php
                      while ($RECIPES = mysqli_fetch_object($q_all)) {
                      ?>
                        <tr>
                            <td><input type="checkbox" class="list_chkbox" name="del[]" value="<?php echo $RECIPES->recipeID; ?>"> <?php echo _mmHTML($RECIPES->name); ?></td>
                            <td><?php echo _mmHTML($RECIPES->submitted_by); ?></td>
                            <td data-order="<?php echo strtotime($RECIPES->aDate); ?>"><?php echo $RECIPES->aDate; ?></td>
                            <td><a href="?p=pictures&amp;recipe=<?php echo $RECIPES->recipeID; ?>"><?php echo _mmSQLRows('pictures',' WHERE recipe = \''.$RECIPES->recipeID.'\''); ?></a></td>
                            <td><a href="?p=comments&amp;recipe=<?php echo $RECIPES->recipeID; ?>"><?php echo _mmSQLRows('comments',' WHERE recipe = \''.$RECIPES->recipeID.'\' AND isApproved = \'no\''); ?></a></td>
                            <td><?php echo number_format((float) $RECIPES->hits); ?></td>
                            <td><i class="fas fa-<?php echo ($RECIPES->enRecipe=='yes' ? 'check-circle' : 'times-circle'); ?> fa-fw"></i></td>
                            <td><a href="<?php echo ($SETTINGS->modr=='yes' ? $SETTINGS->install_path . 'free-recipe/' . _mmURL($RECIPES->name) . '/' . $RECIPES->recipeID . '/index.html' : '../?p=recipe&amp;recipe=' . $RECIPES->recipeID); ?>" onclick="window.open(this);return false"><i class="fas fa-search fa-fw"></i></a> <a href="?p=edit&amp;id=<?php echo $RECIPES->recipeID; ?>"><i class="fas fa-edit fa-fw"></i></a></td>
                        </tr>
                        <?php
                      }
                      ?>
                      </tbody>
                  </table>
              </div>
          </div>
      </div>

      <div>
        <input type="hidden" name="process" value="1">
        <input type="hidden" name="csrf" value="<?php echo (isset($_SESSION['atoken_' . sha1($SETTINGS->email . SECRET_KEY)]) ? $_SESSION['atoken_' . sha1($SETTINGS->email . SECRET_KEY)] : ''); ?>">
        <button type="submit" class="btn btn-danger"><?php echo _mmHTML($recipes49); ?></button>
      </div>
  </div>
  </form>

  <script>
  //<![CDATA[
  function checkformDel(form) {
    if (confirm('<?php echo mmSafeJS($jsvars); ?>')) {
      return true;
    }
    return false;
  }
  //]]>
  </script>
</main>