<?php if (!defined('PARENT')) { exit; } ?>
      <!-- Page content-->
      <div class="container mainmswarea" id="container">
        <div class="row">
          <div class="col-lg-9">
          
            <h1><?php echo $this->CONTACT_TXT; ?></h1>
            
            <form method="post" action="#" id="c_form">
              <div class="panel panel-default">
                <div class="panel-body">
              
                  <div class="form-group">
                    <label><?php echo $this->NAME_TXT; ?>:</label>
                    <div class="form-group input-group">
                      <span class="input-group-addon"><i class="fas fa-user fa-fw"></i></span>
                      <input type="text" class="form-control" tabindex="1" name="nm" value="" autofocus>
                    </div>
                  </div>
                
                  <div class="form-group">
                    <label><?php echo $this->EMAIL_TXT; ?>:</label>
                    <div class="form-group input-group">
                      <span class="input-group-addon"><i class="fas fa-envelope fa-fw"></i></span>
                      <input type="text" class="form-control" tabindex="2" name="em" value="">
                    </div>
                  </div>
                
                  <div class="form-group">
                    <label><?php echo $this->COMMENTS_TXT; ?>:</label>
                    <textarea name="msg" rows="8" cols="40" class="form-control" tabindex="3"><?php echo $this->COMMENTS; ?></textarea>
                  </div>
                
                  <?php
                  // Loads form captcha if it is enabled..
                  // content/html/captcha.htm
                  echo $this->CAPTCHA;
                  ?>
                  
                  <hr>
                  <button type="button" class="btn btn-primary" id="c_btn"><i class="fas fa-paper-plane fa-fw"></i> <?php echo $this->SEND_TXT; ?></button>
              
                </div>
                <input type="hidden" name="csrf" value="<?php echo $this->CSRF; ?>">
              </div>
            </form>
            
          </div>
          <div class="col-lg-3">
            
            <form method="post" action="<?php echo $this->H_URL; ?>" id="sc_fm">
              <div class="form-group">
                <input type="hidden" name="search" value="1">
                <div class="form-group">
                  <div class="form-group input-group">
                   <input type="text" name="keys" class="form-control" placeholder="<?php echo $this->PLACEHOLDER; ?>" value="<?php echo $this->KEYWORDS; ?>">
                   <span class="input-group-addon" style="cursor:pointer" onclick="jQuery('#sc_fm').submit()"><i class="fas fa-chevron-right fa-fw"></i></span>
                  </div>
                </div>         
              </div>
            </form>
            
            <div class="panel panel-default">
              <div class="panel-heading">
                <i class="fas fa-hamburger fa-fw"></i> <?php echo $this->FILTER_BY_TXT; ?>
              </div>
              <div class="panel-body">
                <select onchange="if(this.value!= 0){location=this.options[this.selectedIndex].value}" class="form-control">
                  <option value="0">- - - - -</option>
                  <?php echo $this->LOAD_CONTRIBUTORS; ?>
                </select>
              </div>
            </div>
            
            <div class="panel panel-default recboxarea">
              <div class="panel-heading">
                <i class="fas fa-pizza-slice fa-fw"></i> <?php echo $this->LATEST_RECIPES_TXT; ?>
              </div>
              <div class="panel-body rightbox">
                <?php echo $this->LATEST_RECIPES; ?>
              </div>
            </div>
            
            <div class="panel panel-default recboxarea">
              <div class="panel-heading">
                <i class="fas fa-pepper-hot fa-fw"></i> <?php echo $this->MOST_POPULAR_TXT; ?>
              </div>
              <div class="panel-body rightbox">
                <?php echo $this->MOST_POPULAR; ?>
              </div>
            </div>
          
          </div>
        </div>
      </div>