<?php if (!defined('PARENT')) { exit; } ?>
      <!-- Page content-->
      <div class="container mainmswarea" id="container">
        <div class="row">
          <div class="col-lg-9">
          
            <h1><?php echo _mmHTML($this->RECIPE->name); ?></h1>
            
            <?php
            // Displays pictures if any are available, else just display message
            // content/html/recipe-pictures.htm
            if ($this->SHOW_PICTURES) {
              echo $this->SHOW_PICTURES;
            } else {
            ?>
            <div class="panel panel-default">
              <div class="panel-body">
                <?php echo $this->VARS[3]; ?>
              </div>
            </div>
            <?php
            }
            
            if ($this->RECIPE->ingredients) {
            ?>
            <h2><i class="fas fa-cookie-bite fa-fw"></i> <?php echo $this->INGREDIENTS_TXT; ?></h2>
            
            <div class="panel panel-default">
              <div class="panel-body ingredients">
                <?php echo tags::filter($this->RECIPE->ingredients); ?>
              </div>
            </div>
            <?php
            }
            
            if ($this->RECIPE->instructions) {
            ?>
            <h2><i class="fas fa-book fa-fw"></i> <?php echo $this->INSTRUCTIONS_TXT; ?></h2>
            
            <div class="panel panel-default">
              <div class="panel-body">
                <?php echo tags::filter($this->RECIPE->instructions); ?>
              </div>
            </div>
            <?php
            }
            
            // Are comments enabled?
            if ($this->RECIPE->enComments == 'yes') {
            ?>
            <div class="row">
              <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                <ul class="nav nav-tabs">
                  <li class="active"><a href="#one" data-toggle="tab"><i class="fas fa-comments fa-fw"></i> <?php echo $this->COMMS_TEXT; ?></a></li>
                  <?php
                  // Loads add comment template if enabled..
                  if (defined('ENABLE_RECIPE_COMMENT_ADDING') && ENABLE_RECIPE_COMMENT_ADDING) {
                  ?>
                  <li><a href="#two" data-toggle="tab"><i class="fas fa-plus-circle fa-fw"></i></a></li>
                  <?php
                  }
                  ?>
                </ul>
              </div>
            </div>

            <div class="row">
              <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                <div class="tab-content">
                  <div class="tab-pane active in commentarea" id="one">
                    <?php
                    // content/html/comment.htm
                    echo $this->VISITOR_COMMENTS;
                    ?>
                  </div>
                  <?php
                  // Loads add comment template if enabled..
                  if (defined('ENABLE_RECIPE_COMMENT_ADDING') && ENABLE_RECIPE_COMMENT_ADDING) {
                  ?>
                  <div class="tab-pane fade commentarea" id="two">
                    <?php
                    // content/html/add-comment.htm
                    echo $this->ADD_COMMENT;
                    ?>
                  </div>
                  <?php
                  }
                  ?>
                </div>
              </div>
            </div>
            <?php
            }
            ?>
            
            <hr>
            
            <?php
            if (ENABLE_HIT_COUNT) {
            ?>
            <div class="hitcount">
              <i class="fas fa-binoculars fa-fw"></i> <?php echo $this->HITS_TXT . ': ' . ($this->RECIPE->hits>0 ? $this->RECIPE->hits : 1); ?>
            </div>
            <?php
            }
            ?>
            
          </div>
          <div class="col-lg-3">
            
            <div class="panel panel-default">
              <div class="panel-body reclinks">
                <?php echo $this->SUBMITTED_BY; ?><br>
                <span class="italic date"><i class="fas fa-calendar-plus fa-fw recipe"></i> <?php echo $this->DATE_BAR_TXT; ?></span><hr>
                <a href="<?php echo $this->C_URL; ?>"><i class="fas fa-envelope fa-fw dark"></i> <?php echo $this->CONTACT_US_TXT; ?></a><br>
                <a href="<?php echo $this->P_URL; ?>" onclick="window.open(this);return false"><i class="fas fa-print fa-fw dark"></i> <?php echo $this->PRINT_FRIENDLY_TXT; ?></a><hr>
                <?php
                // Add more links here if you want or use a social share site like addThis
                ?>
                <div class="recipe_social">
                  <a class="fb" href="https://www.facebook.com/sharer.php?u=<?php echo $this->SOCIAL['url']; ?>" onclick="window.open(this);return false"><i class="fab fa-facebook fa-fw"></i></a>
                  <a class="rd" href="https://reddit.com/submit?url=<?php echo $this->SOCIAL['url']; ?>&amp;title=<?php echo $this->SOCIAL['title']; ?>" onclick="window.open(this);return false"><i class="fab fa-reddit fa-fw"></i></a>
                  <a class="tw" href="https://twitter.com/intent/tweet?url=<?php echo $this->SOCIAL['url']; ?>&amp;text=<?php echo $this->SOCIAL['title']; ?>" onclick="window.open(this);return false"><i class="fab fa-twitter fa-fw"></i></a>
                  <a class="pn" href="http://pinterest.com/pin/create/button/?url=<?php echo $this->SOCIAL['url']; ?>" onclick="window.open(this);return false"><i class="fab fa-pinterest fa-fw"></i></a>
                </div>
              </div>
            </div>
            
            <form method="post" action="<?php echo $this->H_URL; ?>" id="sc_fm">
              <div class="form-group">
                <input type="hidden" name="search" value="1">
                <div class="form-group">
                  <div class="form-group input-group">
                   <input type="text" name="keys" class="form-control" placeholder="<?php echo $this->PLACEHOLDER; ?>" value="<?php echo $this->KEYWORDS; ?>">
                   <span class="input-group-addon" style="cursor:pointer" onclick="jQuery('#sc_fm').submit()"><i class="fas fa-chevron-right fa-fw"></i></span>
                  </div>
                </div>         
              </div>
            </form>
            
            <div class="panel panel-default recboxarea">
              <div class="panel-heading">
                <i class="fas fa-lemon fa-fw"></i> <?php echo $this->JUMP_TO_CATEGORY_TXT; ?>
              </div>
              <div class="panel-body rightbox">
                <select onchange="if(this.value!= 0){location=this.options[this.selectedIndex].value}" class="form-control">
                <option value="0">- - - - - - - - - - - - - - - - - -</option>
                <?php echo $this->LOAD_CATEGORIES; ?>
                </select>
              </div>
            </div>
            
            <div class="panel panel-default recboxarea">
              <div class="panel-heading">
                <i class="fas fa-pepper-hot fa-fw"></i> <?php echo $this->RECIPE_SELECTION_TXT; ?>
              </div>
              <div class="panel-body rightbox">
                <?php
                // content/html/latest-popular-link.htm
                echo $this->OTHER_RECIPES_IN_CATEGORY;
                ?>
              </div>
            </div>
            
            <div class="panel panel-default">
              <div class="panel-heading">
                <i class="fas fa-hamburger fa-fw"></i> <?php echo $this->FILTER_BY_TXT; ?>
              </div>
              <div class="panel-body">
                <select onchange="if(this.value!= 0){location=this.options[this.selectedIndex].value}" class="form-control">
                  <option value="0">- - - - -</option>
                  <?php echo $this->LOAD_CONTRIBUTORS; ?>
                </select>
              </div>
            </div>
          
          </div>
        </div>
      </div>