<?php

/* CLASS FILE
----------------------------------*/

class recipes {

  // Adds new recipe..
  public static function recipe_add($fm,$s = null) {
    mysqli_query($GLOBALS["___mysqli_ston"], "INSERT IGNORE INTO `" . DB_PREFIX . "recipes` (
    `name`,
    `ingredients`,
    `instructions`,
    `submitted_by`,
    `addDate`,
    `hits`,
    `metaDesc`,
    `metaKeys`,
    `enComments`,
    `isApproved`,
    `ipAddresses`,
    `email`,
    `rss_date`
    ) VALUES (
    '" . _mmSQLSafe($fm['recipe']) . "',
    '" . _mmSQLSafe(nl2br($fm['ingredients'])) . "',
    '" . _mmSQLSafe(nl2br($fm['instructions'])) . "',
    '" . _mmSQLSafe($fm['name']) . "',
    '" . date("Y-m-d",strtotime(SERVER_TIME_ADJUSTMENT)) . "',
    '0',
    '',
    '',
    'yes',
    '" . $s->enRecApp . "',
    '" . _mmIP() . "',
    '" . _mmSQLSafe($fm['email']) . "',
    '" . RSS_BUILD_DATE_FORMAT . "'
    )") or die(mysqli_error($GLOBALS["___mysqli_ston"]));
    $ID = mysqli_insert_id($GLOBALS["___mysqli_ston"]);
    // Add cats
    if ($ID > 0 && !empty($fm['cats'])) {
      foreach($fm['cats'] AS $catID) {
        mysqli_query($GLOBALS["___mysqli_ston"], "INSERT INTO `" . DB_PREFIX . "recipe_cats` (
        `recipe`,`category`
        ) VALUES (
        '{$ID}','{$catID}'
        )") or die(mysqli_error($GLOBALS["___mysqli_ston"]));
      }
    }
    return $ID;
  }

  // Uploads recipe picture..
  public static function recipe_pic_upload($temp,$name,$size,$newID,$s = null) {
    if (is_uploaded_file($temp) && is_dir($s->server_path . 'content/images/recipes') && 
        is_writeable($s->server_path . 'content/images/recipes')) {
      // Prevent file being overwritten
      if (file_exists($s->server_path . 'content/images/recipes/' . $name)) {
        $name = time() . '_' . rand(11,99999) . '_' . $name;
      }
      // Check the length (rare, but well..it happens)
      if (strlen($name) > 250) {
        $ext   = strtolower(pathinfo($name, PATHINFO_EXTENSION));
        $name = time() . '_' . rand(99,99999) . '.' . $ext;
      }
      move_uploaded_file($temp,$s->server_path . 'content/images/recipes/' . $name);
      if (file_exists($s->server_path . 'content/images/recipes/' . $name)) {
        mysqli_query($GLOBALS["___mysqli_ston"], "INSERT INTO `" . DB_PREFIX . "pictures` (
        `recipe`,`picPath`
        ) VALUES (
        '{$newID}','" . _mmSQLSafe($name) . "'
        )") or die(mysqli_error($GLOBALS["___mysqli_ston"]));
        // Required by some servers to make image viewable and accessible via FTP..
        @chmod(PATH . 'content/images/recipes/' . $name,0644);
        // Does image need resizing..
        if ($s->autoResize != 0) {
          // Comma delimited string?..
          if (strpos($s->autoResize,',')!==FALSE && file_exists(PATH . 'content/images/recipes/' . $name)) {
            // Assign current and new sizes to arrays..
            $imgSizes = getimagesize($s->server_path . 'content/images/recipes/' . $name);
            $newSizes = array_map('trim',explode(',',$s->autoResize));
            // If all is set and resize is required, continue..
            if (isset($newSizes[0],$newSizes[1],$imgSizes[0],$imgSizes[1]) && $newSizes[0]>0 && $newSizes[1]>0) {
              if ($imgSizes[0]>$newSizes[0] && $imgSizes[1]>$newSizes[1]) {
                $this->recipe_pic_upload_resize($name,$newSizes);
              }
            }
          }
        }
      }
      // Check temp file was cleared..
      if (file_exists($temp)) {
        unlink($temp);
      }
    }
  }

  // Resizes uploaded jpeg..
  public static function recipe_pic_upload_resize($name,$nsizes,$s = null) {
    $path = $s->server_path . 'content/images/recipes/' . $name;
    switch (substr(strtolower($name),strpos($name,'.')+1,strlen($name))) {
      case 'jpg':
      case 'jpeg':
        if (function_exists('imagecreatefromjpeg')) {
          $img = imagecreatefromjpeg($path);
          if ($img) {
            $i_width   = imagesx($img);
            $i_height  = imagesy($img);
            $scale     = min($nsizes[0]/$i_width, $nsizes[1]/$i_height);
            // For thumbnail, maintain aspect ratio of original image
            // If image is smaller or equal to new sizes, no resize is necessary
            if ($scale<1) {
              $new_width   = floor($scale * $i_width);
              $new_height  = floor($scale * $i_height);
              $tmp_img     = imagecreatetruecolor($new_width,$new_height);
              imagecopyresampled($tmp_img,$img,0,0,0,0,$new_width,$new_height,$i_width,$i_height);
              imagejpeg($tmp_img, $path);
              imagedestroy($img);
              imagedestroy($tmp_img);
            } else {
              imagedestroy($img);
            }
          }
        }
        break;
      case 'png':
        if (function_exists('imagecreatefrompng')) {
          $img = imagecreatefrompng($path);
          if ($img) {
            $i_width   = imagesx($img);
            $i_height  = imagesy($img);
            $scale     = min($nsizes[0]/$i_width, $nsizes[1]/$i_height);
            // For thumbnail, maintain aspect ratio of original image
            // If image is smaller or equal to new sizes, no resize is necessary
            if ($scale<1) {
              $new_width   = floor($scale * $i_width);
              $new_height  = floor($scale * $i_height);
              $tmp_img     = imagecreatetruecolor($new_width,$new_height);
              $bk          = imagecolorallocate($tmp_img, 0, 0, 0);
              imagecolortransparent($tmp_img, $bk);
              imagecopyresampled($tmp_img, $img, 0, 0, 0, 0, $new_width, $new_height, $i_width, $i_height);
              imagepng($tmp_img, $path, 9);
              imagedestroy($img);
              imagedestroy($tmp_img);
            } else {
              imagedestroy($img);
            }
          }
        }
        break;
    }
  }

  // Adds comments to database..
  public static function comments_add($fm,$s = null) {
    mysqli_query($GLOBALS["___mysqli_ston"], "INSERT IGNORE INTO `" . DB_PREFIX . "comments` (
    `recipe`,
    `comment`,
    `leftBy`,
    `email`,
    `addDate`,
    `isApproved`,
    `ipAddresses`
    ) VALUES (
    '" . _mmSQLSafe($fm['recipe']) . "',
    '" . _mmSQLSafe($fm['comments']) . "',
    '" . _mmSQLSafe($fm['name']) . "',
    '" . _mmSQLSafe($fm['email']) . "',
    '" . date("Y-m-d",strtotime(SERVER_TIME_ADJUSTMENT)) . "',
    '" . $s->enCommApp . "',
    '" . _mmIP() . "'
    )") or die(mysqli_error($GLOBALS["___mysqli_ston"]));
    return mysqli_insert_id($GLOBALS["___mysqli_ston"]);
  }

  // Build comment form..
  public static function comments_form($txt,$s = null) {
    global $ps_recipe20,$ps_recipe21,$ps_recipe22,$ps_recipe23,$ps_recipe24,$jsvars66;
    $captcha = '';
    if ($s->enSpam=='yes') {
      $captcha = str_replace(
        array('{captcha_txt}','{enter_word}'),
        array($ps_recipe24,$captcha),
        file_get_contents(PATH . 'content/html/captcha.htm')
      );
    }
    return str_replace(
      array('{add_comment}','{csrf}','{your_name}','{your_email}','{your_comments}','{captcha}','{recipe}','{etext}','{iscode}','{isibox}'),
      array($txt,(isset($_SESSION['token_' . sha1($s->email . SECRET_KEY)]) ? $_SESSION['token_' . sha1($s->email . SECRET_KEY)] : ''),$ps_recipe20,$ps_recipe21,$ps_recipe22,$captcha,(int)$_GET['recipe'],_mmHTML($jsvars66),($captcha ? 'yes' : 'no'),'no'),
      file_get_contents(PATH . 'content/html/add-comment.htm')
    );
  }

  // Build recipe pictures gallery..
  public static function recipe_pictures($txt) {
    $string = '';
    $html   = [];
    $q_pictures = mysqli_query($GLOBALS["___mysqli_ston"], "SELECT * FROM `" . DB_PREFIX . "pictures`
                  LEFT JOIN `" . DB_PREFIX . "recipes`
                  ON `" . DB_PREFIX . "pictures`.`recipe` = `" . DB_PREFIX . "recipes`.`id`
                  WHERE `" . DB_PREFIX . "pictures`.`recipe` = '" . (int)$_GET['recipe'] . "'
                  ORDER BY `" . DB_PREFIX . "pictures`.`id`
                  ") or die(mysqli_error($GLOBALS["___mysqli_ston"]));
    while ($PICS = mysqli_fetch_object($q_pictures)) {
      $html[] = '<li class="splide__slide" onclick="iBox.showURL(\'content/images/recipes/' . $PICS->picPath . '\',\'\')"><img src="content/images/recipes/' . $PICS->picPath . '" alt="' . _mmHTML($PICS->name) . '"> ';
    }
    // Prevent blank space if enabled
    $count = count($html);
    if (IMG_GALLERY_BLANKS && in_array($count, [1,2])) {
      for($i=0; $i<(3-$count); $i++) {
        $html[] = '<li class="splide__slide"><img src="content/images/gallery_placeholder.png" alt=""> ';
      }
    }
    return str_replace(
      array('{pictures}'),
      array((!empty($html) ? implode(_mmNL(), $html) : '')),
      file_get_contents(PATH . 'content/html/'.(!empty($html) ? 'gallery.htm' : 'recipe-pictures.htm'))
    );
  }

  // Build user submitted image upload boxes..
  public static function recipe_add_pictures($txt,$s = null) {
    global $ps_addrecipe11,$ps_addrecipe12,$ps_addrecipe13,$ps_addrecipe14,$vars;
    $boxes = [];
    $rest[] = $ps_addrecipe11;
    if ($s->maxFileSize>0) {
      $rest[] = str_replace('{size}',_mmFileConv($s->maxFileSize),$ps_addrecipe12);
    }
    if ($s->maxImages > 0) {
      for ($i=0; $i<$s->maxImages; $i++) {
        $boxes[] = str_replace(['{id}','{text}','{tab}'],[$i,$vars[13],(10+$i)],file_get_contents(PATH . 'content/html/add-recipe-upload-box.htm'));
      }
    }
    $string = str_replace('{boxes}',(!empty($boxes) ? implode(_mmNL(), $boxes) : ''),file_get_contents(PATH . 'content/html/add-recipe-upload-box-wrapper.htm'));
    return str_replace(
      array('{txt}','{restrictions}','{upload_boxes}','{error}'),
      array(str_replace('{max}',$s->maxImages,$txt),(!empty($rest) ? '<span class="restrictions">'.implode(IMG_RESTRICTION_SEPERATOR, $rest).'</span>' : ''),$string),
      file_get_contents(PATH . 'content/html/add-recipe-pictures.htm')
    );
  }

  // Filter file upload name..
  public static function upload_name_filter($file) {
    // Convert to lower case chars..
    $file = strtolower($file);
    // Next, get original file extension
    $ext  = strrchr($file, '.');
    // Now remove the extension..
    $file = str_replace($ext,'',$file);
    // Remove problem chars and clean file name..
    $file = preg_replace('`[^\w_-]`', '', $file);
    // Finally, return filtered name with original extension..
    return str_replace(['.'],[],trim($file)) . strtolower($ext);
  }

  // Build recipe comments..
  public static function recipe_comments($txt,$txt2,$txt3) {
    $string = '';
    $html   = '';
    $q_comments = mysqli_query($GLOBALS["___mysqli_ston"], "SELECT *,
                  DATE_FORMAT(`addDate`,'" . MYSQL_DATE_FORMAT . "') AS `cdate`
                  FROM `" . DB_PREFIX . "comments`
                  WHERE `recipe`    = '" . (int)$_GET['recipe'] . "'
                  AND `isApproved`  = 'no'
                  ORDER BY `addDate` DESC,`id` DESC
                  ") or die(mysqli_error($GLOBALS["___mysqli_ston"]));
    while ($COMMENTS = mysqli_fetch_object($q_comments)) {
      $leftBy = str_replace(array('{name}','{date}'),array(_mmHTML($COMMENTS->leftBy),$COMMENTS->cdate),$txt);
      $html .= str_replace(
        array('{comment}','{leftby}'),
        array(nl2br(_mmHTML($COMMENTS->comment)),_mmHTML($leftBy)),
        file_get_contents(PATH . 'content/html/comment.htm')
      );
    }
    $string = ($html ? $html : '<p class="noData"><i class="fas fa-exclamation-triangle fa-fw"></i> ' . $txt2 . '</p>');
    return str_replace(
      array('{comments}','{visitor_comments}','{count}'),
      array($string,$txt3,mysqli_num_rows($q_comments)),
      file_get_contents(PATH . 'content/html/visitor-comments.htm')
    );
  }

  // Loads contributors list..
  public static function contributors($searchKeys,$s = null) {
    $string = '';
    $_GET['cat'] = (isset($_GET['cat']) ? $_GET['cat'] : '');
    $q_cont = mysqli_query($GLOBALS["___mysqli_ston"], "SELECT * FROM `" . DB_PREFIX . "recipes`
              WHERE `enRecipe`    = 'yes'
              AND `isApproved`    = 'no'
              AND `submitted_by` != ''
              GROUP BY `submitted_by`
              ORDER BY `submitted_by`
              ") or die(mysqli_error($GLOBALS["___mysqli_ston"]));
    while ($CONTR = mysqli_fetch_object($q_cont)) {
      if ($s->modr=='yes') {
        $url = $s->install_path . 'search-free-recipes/chef::' . urlencode($CONTR->submitted_by).'/' . (isset($_GET['cat']) && $_GET['cat'] > 0 ? (int) $_GET['cat'] : 'all') . '/1/index.html';
      } else {
        $url = '?p=search-free-recipes&amp;keys=chef::' . urlencode($CONTR->submitted_by).(isset($_GET['cat']) && $_GET['cat'] > 0 ? '&amp;cat=' . (int)$_GET['cat'] : '&amp;cat=all');
      }
      $string .= '<option value="' . $url . '"' . (substr($searchKeys,6)==_mmClean($CONTR->submitted_by) ? ' selected="selected"' : '') . '>' . _mmHTML($CONTR->submitted_by) . '</option>' . _mmNL();
    }
    return $string;
  }

  // Loads categories as a select list for search by category..
  public static function category_search_select($searchKeys,$s = null) {
    global $recipes16;
    $string   = '';
    if ($s->modr=='yes') {
      $url = $s->install_path . 'search-free-recipes/' . $searchKeys . '/all/1/index.html';
    } else {
      $url = '?p=search-free-recipes&amp;keys=' . $searchKeys . '&amp;cat=all';
    }
    $string .= '<option value="' . $url . '">' . $recipes16 . '</option>'._mmNL();
    $q_parent = mysqli_query($GLOBALS["___mysqli_ston"], "SELECT * FROM `" . DB_PREFIX . "categories`
                WHERE `enCat`   = 'yes'
                AND `isParent`  = 'yes'
                ORDER BY `catname`
                ") or die(mysqli_error($GLOBALS["___mysqli_ston"]));
    while ($PARENTS = mysqli_fetch_object($q_parent)) {
      if ($s->modr=='yes') {
        $url = $s->install_path . 'search-free-recipes/' . $searchKeys . '/' . $PARENTS->id . '/1/index.html';
      } else {
        $url = '?p=search-free-recipes&amp;keys=' . $searchKeys . '&amp;cat=' . $PARENTS->id;
      }
      $string .= '<option value="' . $url . '"' . (isset($_GET['cat']) && $_GET['cat']==$PARENTS->id ? ' selected="selected"' : '').'>' . _mmClean($PARENTS->catname) . '</option>' ._mmNL();
      $q_children = mysqli_query($GLOBALS["___mysqli_ston"], "SELECT * FROM `" . DB_PREFIX . "categories`
                    WHERE `enCat` = 'yes'
                    AND `childOf` = '$PARENTS->id'
                    ORDER BY `catname`
                    ") or die(mysqli_error($GLOBALS["___mysqli_ston"]));
      while ($CHILDREN = mysqli_fetch_object($q_children)) {
        if ($s->modr=='yes') {
          $curl = $s->install_path . 'search-free-recipes/'.urldecode($searchKeys).'/' . $CHILDREN->id.'/1/index.html';
        } else {
          $curl = '?p=search-free-recipes&amp;keys='.urldecode($searchKeys).'&amp;cat=' . $CHILDREN->id;
        }
        $string .= '<option value="' . $curl . '"' . (isset($_GET['cat']) && $_GET['cat']==$CHILDREN->id ? ' selected="selected"' : '') . '>- ' . _mmClean($CHILDREN->catname) . '</option>' ._mmNL();
      }
    }
    return $string;
  }

  // Displays other recipes in a given category..
  public static function recipe_category_other($txt,$cats,$s = null) {
    $string = '';
    if (!empty($cats)) {
      $query = mysqli_query($GLOBALS["___mysqli_ston"], "SELECT *,`" . DB_PREFIX . "recipes`.`id` AS `recipeID` FROM `" . DB_PREFIX . "recipes`
              LEFT JOIN `" . DB_PREFIX . "recipe_cats`
              ON `" . DB_PREFIX . "recipes`.`id` = `" . DB_PREFIX . "recipe_cats`.`recipe`
              WHERE `enRecipe`  = 'yes'
              AND `isApproved`  = 'no'
              AND `" . DB_PREFIX . "recipe_cats`.`category` IN(" . implode(',', $cats) . ")
              AND `" . DB_PREFIX . "recipes`.`id`  != '" . (int)$_GET['recipe'] . "'
              GROUP BY `" . DB_PREFIX . "recipe_cats`.`recipe`
              ORDER BY rand()
              LIMIT ".OTHER_RECIPES_IN_CAT_DISPLAY_LIMIT."
              ") or die(mysqli_error($GLOBALS["___mysqli_ston"]));
      while ($RECIPES = mysqli_fetch_object($query)) {
        // Build link data..
        if ($s->modr=='yes') {
          $link  = $s->install_path . 'free-recipe/' . _mmURL($RECIPES->name) . '/' . $RECIPES->recipeID . '/index.html';
        } else {
          $link  = $s->install_path . '?p=recipe&amp;recipe=' . $RECIPES->recipeID;
        }
        // Chef link
        if ($s->modr=='yes') {
          $chef_url = $s->install_path . 'search-free-recipes/chef::' . urlencode($RECIPES->submitted_by).'/' . (isset($_GET['cat']) && $_GET['cat'] > 0 ? (int) $_GET['cat'] : 'all') . '/1/index.html';
        } else {
          $chef_url = '?p=search-free-recipes&amp;keys=chef::' . urlencode($RECIPES->submitted_by) . (isset($_GET['cat']) && $_GET['cat'] > 0 ? '&amp;cat=' . (int)$_GET['cat'] : '&amp;cat=all');
        }
        // Get image
        $q_pic = mysqli_query($GLOBALS["___mysqli_ston"], "SELECT * FROM `" . DB_PREFIX . "pictures`
                WHERE `recipe` = '{$RECIPES->recipeID}'
                ORDER BY `id`
                LIMIT 1
                ") or die(mysqli_error($GLOBALS["___mysqli_ston"]));
        $PIC = mysqli_fetch_object($q_pic);
        $image = 'content/images/placeholder.png';
        if (isset($PIC->picPath) && file_exists(PATH . 'content/images/recipes/' . $PIC->picPath)) {
          $image = 'content/images/recipes/' . $PIC->picPath;
        }
        $string .= str_replace(
          array('{link}','{recipe}','{image}','{cheflink}','{chef}'),
          array($link,_mmHTML($RECIPES->name),$image,$chef_url,_mmHTML($RECIPES->submitted_by)),
          file_get_contents(PATH . 'content/html/latest-popular-link.htm')
        );
      }
    }
    return ($string ? $string : $txt);
  }

  // Increments count for hit counter..
  public static function hits() {
    mysqli_query($GLOBALS["___mysqli_ston"], "UPDATE `" . DB_PREFIX . "recipes` SET
    `hits`      = (hits+1)
    WHERE `id`  = '" . (int)$_GET['recipe'] . "'
    ") or die(mysqli_error($GLOBALS["___mysqli_ston"]));
  }

  // Displays latest and most popular links for recipes..
  public static function latest_popular($area, $s = null) {
    $string = '';
    $query = mysqli_query($GLOBALS["___mysqli_ston"], "SELECT *,`" . DB_PREFIX . "recipes`.`id` AS `recipeID` FROM `" . DB_PREFIX . "recipes`
            LEFT JOIN `" . DB_PREFIX . "recipe_cats`
            ON `" . DB_PREFIX . "recipes`.`id` = `" . DB_PREFIX . "recipe_cats`.`recipe`
            WHERE `enRecipe`  = 'yes'
            AND `isApproved`  = 'no'
            GROUP BY `" . DB_PREFIX . "recipe_cats`.`recipe`
            ORDER BY ".($area=='latest' ? '`' . DB_PREFIX . 'recipes`.`id` DESC' : '`hits` DESC')."
            LIMIT " . ($area=='latest' ? LATEST_RECIPES_DISPLAY_LIMIT : MOST_POPULAR_DISPLAY_LIMIT) . "
            ") or die(mysqli_error($GLOBALS["___mysqli_ston"]));
    while ($RECIPES = mysqli_fetch_object($query)) {
      // Build link data..
      if ($s->modr=='yes') {
        $link  = $s->install_path . 'free-recipe/' . _mmURL($RECIPES->name) . '/' . $RECIPES->recipeID . '/index.html';
      } else {
        $link  = $s->install_path . '?p=recipe&amp;recipe=' . $RECIPES->recipeID;
      }
      // Chef link
      if ($s->modr=='yes') {
        $chef_url = $s->install_path . 'search-free-recipes/chef::' . urlencode($RECIPES->submitted_by).'/' . (isset($_GET['cat']) && $_GET['cat'] > 0 ? (int) $_GET['cat'] : 'all') . '/1/index.html';
      } else {
        $chef_url = '?p=search-free-recipes&amp;keys=chef::' . urlencode($RECIPES->submitted_by) . (isset($_GET['cat']) && $_GET['cat'] > 0 ? '&amp;cat=' . (int)$_GET['cat'] : '&amp;cat=all');
      }
      // Get image
      $q_pic = mysqli_query($GLOBALS["___mysqli_ston"], "SELECT * FROM `" . DB_PREFIX . "pictures`
              WHERE `recipe` = '{$RECIPES->recipeID}'
              ORDER BY `id`
              LIMIT 1
              ") or die(mysqli_error($GLOBALS["___mysqli_ston"]));
      $PIC = mysqli_fetch_object($q_pic);
      $image = 'content/images/placeholder.png';
      if (isset($PIC->picPath) && file_exists(PATH . 'content/images/recipes/' . $PIC->picPath)) {
        $image = 'content/images/recipes/' . $PIC->picPath;
      }
      $string .= str_replace(
        array('{link}','{recipe}','{image}','{cheflink}','{chef}'),
        array($link,_mmHTML($RECIPES->name),$image,$chef_url,_mmHTML($RECIPES->submitted_by)),
        file_get_contents(PATH . 'content/html/latest-popular-link.htm')
      );
    }
    return $string;
  }

}

?>